define(['jquery', 'lodash', 'js/pageloader', 'primutils', 'primutils/i18n/Localizer'], function ($, _, pageLoader, primutils, Localizer) {
    'use strict';

    $(function () {
        $('ul#root-navigation li a').each(function () {
            var $this = $(this);
            if ($this.attr('data-section')) {
                $this.attr('href', '?section=' + $this.attr('data-section'));
            }
        }).bind('click', function (e) {
            var $this = $(this),
                section = $this.attr('data-section');

            if(!_.isUndefined(section)) {
                e.preventDefault();
                pageLoader.switchState(section);
            } else if (!$this.hasClass('non-section')) {
                $this.parent().addClass('disabled');
            }
        });

        $('a.brand').attr('href', '?section=home').bind('click', function (evt) {
            evt.preventDefault();
            pageLoader.switchState('home');
        });
    });
});
