
// Do not include directly - instead, import 'logger'

define([], function () {
    'use strict';

    var logger;

    function log(method, str) {
        if (window.console && window.console[method]) {
            window.console[method](str);
        }
        else if (window.console && window.console.log) {
            window.console.log(method + ': ' + str);
        }
    }

    logger = {
        debug: function (str) {
            log('debug', str);
        },
        info: function (str) {
            log('info', str);
        },
        warn: function (str) {
            log('warn', str);
        },
        error: function (str) {
            log('error', str);
        },
        fatal: function (str) {
            log('error', str);
        },
        assert: function (val, message) {
            if (!val) {
                logger.fatal('ASSERTION FAILED: ' + message);
                throw new Error('ASSERTION FAILED: ' + message);
            }
        }
    };

    return logger;
});
