requirejs.config({
	waitSeconds: 0,
    baseUrl: 'assets/',

    bundles : {
        primutils : ['primutils/ui/widgets/modal', 'primutils/a11y/bootstrap/accessibilityFixes', 'primutils/i18n/Localizer', 'primutils/utils/language']
    },

    markup : {
        noEscape : true,
        debug : true
    },

    paths : {
        history     : 'lib/native.history',
        jquery      : 'lib/jquery',
        jqueryui    : 'lib/jqueryui.min',
        lodash      : 'lib/lodash',
        text        : 'lib/text',
        bootstrap   : 'lib/bootstrap/js/bootstrap',
        mousewheel  : 'lib/mousewheel',
        spin        : 'lib/spin',
        dateFormat  : 'lib/dateFormat',
		resize     	: 'lib/jqueryui.min',
        logger      : 'lib/consoleLogger',
        module      : 'lib/module',
        moment      : 'lib/moment',
        primutils   : 'lib/primutils',
        handlebars  : 'lib/handlebars',
        markup      : 'lib/markup',
        localizer   : 'lib/localizer',
        oui         : 'lib/oui'
    },
    map : {
        '*' : {
            'oui.jquery':                'jquery',
            'oui.jqueryui':              'jqueryui',
            'oui.moment':                'moment',
            'oui.underscore':            'lodash',
            'oui.lodash':                'lodash',
            'oui.bootstrap':             'bootstrap',
            'oui.spin':                  'spin',
            'oui.dateFormat':            'dateFormat',
            'oui.resize':                'resize',
            'oui.logger':                'logger',
			'underscore': 				 'lodash',
            'primutils.jquery':          'jquery',
            'primutils.lodash':          'lodash',
            'primutils.bootstrap':       'lib/bootstrap/js/bootstrap',
            'primutils.handlebars':      'handlebars',
            'primutils.logger':          'logger',
            'primutils.text':            'text',
            'primutils.moment':          'moment',

            hbr:                         'primutils.markup',
        }
    },
    shim : {
        'jquery' : {
            exports : '$',
            init : function () { return this.$.noConflict(false); }
        },
        'resize' : {
            deps: ['jquery']
        },
        'moment': {
            exports: 'moment'
        },
		
		'jqueryui': {
            deps: ['jquery'],
            exports: 'jQuery.ui',
        },

        'bootstrap' : {
            deps : ['jquery']
        },
        'history' : {
            exports: 'History'
        },
        'handlebars' : {
            exports: 'Handlebars'
        }
    }
});

require.onResourceLoad = function (context, map, depArray) {
    'use strict';
    if (map && map.name === 'moment') {
        // Use moment through the AMD module only, not window
        delete window.moment;
    }
};
