// April 6b version
function hideToc(hide) {
    $("#resizeBar").css("background", "transparent");
    if (hide) {
        $("#SEARCHContainer, #TOCContainer").addClass("hidden");
        $("#lockToggle, #navpane").addClass("lockedWidth");
        $("#contentcontainer").addClass("contentLocked");
        $("#SEARCHContent, #TOCContent, #resizeBar").addClass("hidden");

        if ($("html").hasClass("ie9")) {
            $("#TOCContent, #resizeBar, #TOCContainer").addClass("hidden");
            $("#TOCContent, #resizeBar, #TOCContainer").css("display", "none");
            $("#lockToggle").removeClass("hidden");
        }
        /* */
        $("#navpane, #contentcontainer").one("transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd", function() {
            $("#TOCContainer").addClass("hidden");
            $("#TOCContent, #resizeBar, #TOCContainer").css("display", "none");
            $("#lockToggle").removeClass("hidden");
        });
        refreshWindowPaneSizes(hide);
    } else {
        $("#lockToggle, #navpane").removeClass("lockedWidth").width();
        $("#contentcontainer").removeClass("contentLocked");
        if ($("html").hasClass("ie9")) {
            $("#TOCContent, #resizeBar, #TOCContainer").removeClass("hidden");
            $("#TOCContent, #resizeBar, #TOCContainer").css("display", "");
            $("#lockToggle").addClass("hidden");
        }
        /* */
        $("#navpane, #contentcontainer").one("transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd", function() {
            $("#TOCContent, #resizeBar, #TOCContainer").removeClass("hidden");
            $("#TOCContent, #resizeBar, #TOCContainer").css("display", "");
            $("#lockToggle").addClass("hidden");

        });
        refreshWindowPaneSizes();
    }
    if ($("#navContainer").hasClass("hidden")) {
        $("#navContainer").removeClass("hidden");
    }
}


function refreshWindowPaneSizes(locked) {
    var navPaneWidth;
    if (locked) {
        navPaneWidth = "30px";
        $("#lockToggle, #navpane").addClass("lockedWidth");
        $("#contentcontainer").addClass("contentLocked");
    } else {
        navPaneWidth = $("#navpane").width() + "px";
        $("#lockToggle, #navpane").removeClass("lockedWidth").width();
        $("#contentcontainer").removeClass("contentLocked");
    }
    $("#contentcontainer").css("paddingLeft", navPaneWidth);
    $("#resizeBar").css("left", navPaneWidth);
    $("#resizeBarContainer").css("left", "0");
    $("#resizeBar").removeClass("activeBar");
}

function makeStationary() {
    $("#resizeBar").removeClass("mobileElement");
    $("#resizeBar").addClass("stationaryElement");
    // $("#resizeBar").css("width" , "10px");
    $("#resizeBar").css("cursor", "default");
    $("#resizeBar").css("background", "");
    refreshWindowPaneSizes();
    $("#resizeBar").off("mousemove");
    $("#resizeBar").off("mouseout");
    $("#resizeBar").off("mousedown");
    $("#resizeBar").removeClass("activeBar");
    $("#resizeBarContainerL,  #resizeBarContainerR").removeClass("RCmobile");
    $("#resizeBarContainerL,  #resizeBarContainerR").addClass("RCstationary");
    refreshWindowPaneSizes();
}

$(function() {
    var mouseDownPos, mouseUpPos, firstTime;
    mouseDownPos = 0;
    mouseUpPos = 0;
    firstTime = 1;

    // hover is mouseenter and mouse leave
    $("#resizeBar").on('mouseenter mousedown mouseout mouseleave mousemove mouseup', function(mouseEvent) {
        var mPosX;

        if (mouseEvent.type === "mouseup") {
            makeStationary();
        } else if (mouseEvent.type === "mouseenter") {
            $("#resizeBar").css("cursor", "ew-resize");
        } else if (mouseEvent.type === "mousemove") {
            makeMobile(mouseEvent);
        } else if (mouseEvent.type === "mousedown") {
            $("#resizeBar").addClass("activeBar");
        } else if (mouseEvent.type === "mouseout") {
            makeMobile(mouseEvent);
        } else if (mouseEvent.type === "mouseleave") {
            makeMobile(mouseEvent);
        } else {
            makeStationary();
        }
        $(document).mouseup(
            function() {
                makeStationary();
            }); 

        $("#resizeBarContainer").mouseenter(
            function() {
               $("#resizeBar").css("cursor", "ew-resize");
            });

        $("#resizeBarContainer").mouseleave(
            function() {
                $("#resizeBarContainerL,  #resizeBarContainerR").removeClass("RCmobile");
                $("#resizeBarContainerL,  #resizeBarContainerR").addClass("RCstationary");
                $("#resizeBarContainer").css("left", "0");
                makeStationary();
            });
        $(document).mousedown(
            function() {
                $("#resizeBar").addClass("activeBar");
            }); 
    }); // end of mouseEvents




    function makeMobile(mouseEvent) {
		var documentWidth = 800, maxWidth, minWidth;
		documentWidth = $(document).width();
		maxWidth= documentWidth - 155;
		minWidth = 150;
        if ($("#resizeBar").hasClass("activeBar")) {
            $("#resizeBar").addClass("mobileElement");
            $("#resizeBar").removeClass("stationaryElement");
            $("#navpane, #contentcontainer").addClass("notransition");
            $("#resizeBar").css({
                width: "20px",
                background: "transparent",
            });
            $("#resizeBarContainerL,  #resizeBarContainerR").addClass("RCmobile");
            $("#resizeBarContainerL,  #resizeBarContainerR").removeClass("RCstationary");

            mouseEvent.preventDefault();
            if ((mouseEvent.type === "mousedown") && (mouseEvent.offsetX !== 0)) {
                mPosX = mouseEvent.pageX - ($("#resizeBar").width() / 2);
            } else {
                // firefox browser
                mPosX = mouseEvent.pageX - ($("#resizeBar").width() / 2);
            }
            if ((mPosX < maxWidth) && (mPosX > minWidth)) {
				$("#resizeBar").offset({
					left: mPosX,
				})
				$("#navpane").css("width", mPosX);
				$("#contentcontainer").css("paddingLeft", mPosX);
			}
        }
    }

    function makeStationary() {
        $("#resizeBar").removeClass("mobileElement");
        $("#resizeBar").addClass("stationaryElement");
        $("#navpane, #contentcontainer").removeClass("notransition");
        $("#resizeBar").removeClass("activeBar");
        $(document).off('mouseup');
        $(document).off('mousemove');

        $("#resizeBarContainerL,  #resizeBarContainerR").removeClass("RCmobile");
        $("#resizeBarContainerL,  #resizeBarContainerR").addClass("RCstationary");
        $("#resizeBarContainer").css("left", "0");
        $("#resizeBar").off('mouseenter');
        $("#resizeBar").off('mouseout');
        $("#resizeBar").off('mouseleave');
        $("#resizeBar").off('mousemove');
        $("#resizeBar").off('mouseup');
        $("#resizeBar").css("cursor", "default");
    }

    $("#btnTOCLock, #btnSEARCHLock").click(
        function(clickEvent) {
            // close nav pane
            $("#SEARCHContainer, #TOCContainer").addClass("hidden");
            $("#lockToggle, #navpane").addClass("lockedWidth");
            $("#contentcontainer").addClass("contentLocked");
            $("#SEARCHContent, #TOCContent, #resizeBar").addClass("hidden");
            if ($("html").hasClass("ie9")) {
                $("#TOCContent, #resizeBar, #TOCContainer").css("display", "none");
                $("#lockToggle").removeClass("hidden");
            }
            /*  */
            $("#navpane, #contentcontainer").one("transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd", function() {
                $("#SEARCHContainer, #TOCContainer").addClass("hidden");
                $("#TOCContent, #resizeBar, #TOCContainer").css("display", "none");
                $("#lockToggle").removeClass("hidden");
            });
            refreshWindowPaneSizes(true);
            clickEvent.preventDefault();

        });
    $("#btnLockToggle").click(
        function(clickEvent) {
            var navWidth, contentWidth, contentLeft;
            // open toc
            $("#lockToggle, #navpane").removeClass("lockedWidth").width();
            $("#contentcontainer").removeClass("contentLocked");
            if ($("html").hasClass("ie9")) {
                $("#TOCContent, #resizeBar, #TOCContainer").removeClass("hidden");
                $("#TOCContent, #resizeBar, #TOCContainer").css("display", "");
                $("#lockToggle").addClass("hidden");
            }
            /* */
            $("#navpane, #contentcontainer").one("transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd", function() {
                //$("#TOCContent").toggleClass("hidden");
                $("#TOCContent, #resizeBar, #TOCContainer").removeClass("hidden");
                $("#TOCContent, #resizeBar, #TOCContainer").css("display", "");
                $("#lockToggle").addClass("hidden");
                refreshWindowPaneSizes();
            });

            // $("#navpane").toggleClass("hidden");
            clickEvent.preventDefault();
            refreshWindowPaneSizes();
        });
    $("#btnBackToTOC").click(
        function(clickEvent) {
            // close search, but keep nav pane open
            var navWidth, contentWidth, contentLeft;
            $("#contentcontainer").removeClass("contentLocked");
            $(".lockToggle").addClass("hidden");
            $("#TOCContent, #resizeBar, #TOCContainer").removeClass("hidden");
            $("#TOCContent, #resizeBar, #TOCContainer").css("display", "");
            if ($("html").hasClass("ie9")) {
                $("#SEARCHContainer").addClass("hidden");
            }
            /*  */
            $("#SEARCHContainer").one("transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd", function() {
                $("#SEARCHContents").addClass("hidden");

            });
            clickEvent.preventDefault();
            $("#SEARCHContainer").addClass("hidden");
            refreshWindowPaneSizes();
        });

    $("#searchLink").click(
        function(clickEvent) {
            // open search
            $("#lockToggle, #navpane").removeClass("lockedWidth");
            $("#SEARCHContainer, #resizeBar").removeClass("hidden");
            $("#SEARCHContainer").removeClass("lockedWidth");
            $("#backToTOC, #SEARCHContent").removeClass("hidden");
            $("#TOCContainer, #TOCContent").addClass("hidden");
            $("#TOCContainer, #TOCContent").css("display", "none");
            $("#SEARCHContainer").css("display", "");
            $("#contentcontainer").removeClass("contentLocked");
            clickEvent.preventDefault();
            refreshWindowPaneSizes();
        });
});