﻿/* Generated with Author-it 6.4.3.37098  10/20/2021 8:17:31 AM */
Page=new Array();Page[0]=new Array("This guide contains the information you need to administer the Primavera Analytics Cloud Service. As an administrator, you will use the web-Primavera Analytics Administration application and perform tasks such as provisioning users for Primavera Analytics. You will also be performing tasks to enable the use of:","Financial Periods","History Settings","Slowly Changing Dimensions","Changing Dimensions and Daily Snapshots","Burn Down","Work Planning","Schedule Adherence","Location Data","Audience","This guide is intended to be used by administrators who have application access to Primavera Analytics Production. In addition, the administrator should have application access to P6 EPPM, Primavera Unifier, or both.","About This Guide","83748.htm");
Page[1]=new Array("Primavera Analytics consists of a Repository Definition file (.rpd), a sample catalog containing sample analyses and dashboards, as well as a sample Primavera Data Warehouse. Primavera Analytics is built upon the industry leading Oracle Business Intelligence Suite. The Primavera Analytics Repository Definition file contains all of the information Oracle Business Intelligence needs to allow end users to create purposeful analysis based on data contained within Primavera Data Warehouse. The Repository Definition file contains information such as how Oracle Business Intelligence connects to Primavera Data Warehouse, how security is applied to each user, and how to join the Primavera Data Warehouse fact and dimension tables. The Primavera Analytics sample catalog, also built upon Oracle Business Intelligence, contains over 400 pre-built analysis and dashboards, organized in a catalog structure, used to help facilitate the capabilities available combining P6 EPPM and/or Primavera Unifier with Oracle Business Intelligence. The sample Primavera Data Warehouse can be restored and connected as the back-end for the sample Primavera Analytics catalog.","About Primavera Analytics","83387.htm");
Page[2]=new Array("Primavera Data Warehouse collects and stores data from P6 EPPM and Primavera Unifier. It contains a process called STARETL, which is the mechanism by which data is extracted, transformed, and loaded (ETL) from a P6 EPPM and/or Primavera Unifier database into Primavera Data Warehouse. Primavera Data Warehouse also supports Oracle Data Integrator (ODI) for P6 EPPM and Unifier sources only. ODI allows for near real-time migration of data. Primavera Data Warehouse accumulates data over time with each run of the STARETL process. ","Primavera Data Warehouse separates data into facts and dimensions. Fact tables contain business facts or measures (for example: Actual Total Cost, Workflow Duration, and so on). Dimension tables contain descriptive attributes or fields (for example: Activity Name, Cost Breakdown Structure, and so on). As the Primavera Data Warehouse schema accumulates project and cash flow data, it provides baselines for tracking trends and for advanced business intelligence. It also provides key metrics on current data, which allow you to drill through root cause analysis. ","You can connect Primavera Data Warehouse to Oracle Business Intelligence (OBI) using Primavera Analytics.","About Primavera Data Warehouse","83386.htm");
Page[3]=new Array("Oracle Business Intelligence (OBI) is a comprehensive suite of business intelligence foundation and applications designed to enable the insight-driven enterprise. It integrates data from multiple enterprise sources, and transforms it into key insights that enable strategic decision-making, drive continual business process improvements, and promote alignment across the enterprise.","The OBI infrastructure consists of servers, programs, and tools used to build OBI applications. The OBI product includes an installer program that can install either the complete OBI suite or one or more OBI product components.","Once OBI is installed, apply and configure Primavera Analytics to your OBI deployment. Primavera Analytics provides the following default dashboards:","Main","Business Processes","Cash Flow","Cost Sheet","Facilities and Real Estate","Portfolio Analysis","Project Earned Value","Project Health","Project Performance Measurement","Resource Analysis","Industry Samples","Admin","About: Primavera Analytics","More","Note: Any customization done to the existing RPD or Catalog must be reapplied after the installation. It may be necessary to merge the RPD and Catalog with the new RPD and Catalog delivered with this version of Primavera Analytics.","For more information on OBI version supported for Primavera Analytics, see the Tested Configurations document. ","For information about the Business Intelligence &amp; Data Warehousing Technology Center, see http://www.oracle.com/technetwork/topics/bi/index.html.","For information about the Business Intelligence &amp; Data Warehousing documentation, go to the following website, see http://www.oracle.com/technetwork/middleware/bi-foundation/documentation/bi-dac-087220.html.","For information about configuring an Impersonator User to be used with Single Sign-On for OBI, go to the following website, see http://download.oracle.com/docs/cd/E12096_01/books/AnyDeploy/AnyDeploySSO5.html.","About Oracle Business Intelligence (OBI)","81604.htm");
Page[4]=new Array("This chapter describes how to manage personally identifiable information (PII) in Primavera Analytics.","Managing Personally Identifiable Information","84393.htm");
Page[5]=new Array("Consent notices inform users how personally identifiable information (PII) is collected, processed, stored, and transmitted, along with details related to applicable regulations and policies. Consent notices also alert users that the action they are taking may risk exposing PII. Primavera products helps you to ensure that you have requested the appropriate consent to collect, process, store, and transmit the PII your organization holds as part of any source application (P6 and Unifier) that can be configured with Primavera Analytics.","About Consent Notices","84400.htm");
Page[6]=new Array("Personally identifiable information (PII) is any piece of data which can be used on its own or with other information to identify, contact or locate an individual or identify an individual in context. This information is not limited to a person's name, address, and contact details. For example, a person's IP address, phone IMEI number, gender, and location at a particular time could all be personally identifiable information. Depending on local data protection laws , organizations may be responsible for ensuring the privacy of PII wherever it is stored, including in back-ups, locally stored downloads, and data stored in development environments.","As part of Analytics Cloud Services, you may be using Oracle Identity Cloud Service (&#8220;Oracle IDCS&#8221;) to manage your user access and entitlements across a number of cloud and on-premises applications and services. If you are using or accessing Oracle IDCS, you are responsible for deleting your details and data from the Oracle IDCS environment. You are responsible for retrieving your content in Oracle IDCS during your applicable services period.","About Personally Identifiable Information","84395.htm");
Page[7]=new Array("Analytics consumes data from source applications and makes it available to Analytics users. End-users must give their consent in the source application to read and agree to the consent message to ensure they ","have access to the data in Analytics.","understand the responsibilities with regard to data protection and security.","The following source applications can be configured with Analytics:","P6 EPPM","For detailed instructions on how to configure consent notices in P6 EPPM, refer to P6 EPPM Application Administration Guide.","Primavera Unifier","For detailed instructions on how to configure consent notices in Primavera Unifier, refer to Primavera Unifier Administration Guide ","Configuring Consent Notices for Analytics","84403.htm");
Page[8]=new Array("Information security and privacy laws can carry heavy penalties and fines for organizations which do not adequately protect PII they gather and store. Data visible to an analytics user depends on the consent notices configured and accepted by users in the source applications which can be configured with Analytics.","If these laws apply to your organization, it is your responsibility to ensure consent notices are configured in the source applications before they are required.","Your Responsibilities","84396.htm");
Page[9]=new Array("Personally identifiable information (PII) in Primavera Analytics depends on the changes made in source applications such as P6 EPPM, or Primavera Unifier. When PII data is modified or deleted in the source applications, run the ETL process to ensure it is automatically reflected in Analytics. If a user is deleted in a source application, they can no longer access Primavera Analytics. ","Ensure the user is also deleted from the historical data of Primavera Analytics Data Warehouse. Use the data_cleanup_package to handle the history cleanup and resource data based on the demand.","Ensuring Privacy of Data Collection","84397.htm");
Page[10]=new Array("Products provide granular access controls, by record, data element, type of data, or logs. Ensure Primavera Data Warehouse adheres to the same user privileges and access rights as P6 EPPM and Primavera Unifier.","Limiting Granular Access to Data","84399.htm");
Page[11]=new Array("Primavera Analytics is a Data Warehouse application. Data is not purged because Primavera Analytics maintains data history.&nbsp;A Delete option is available if needed but not available to all users.","ODI logging is purged weekly. Use the data_cleanup_package to purge the data for specific data source and resources on demand. ","Ensuring Data Purging and Data Deletion","84398.htm");
Page[12]=new Array("Data masking is the ability to display only a portion of a data field or prevent viewing data. Oracle database security policies can hide access to certain columns. Ensure you review this feature for Primavera Analytics.","Ensuring Data Masking is Supported","84411.htm");
Page[13]=new Array("An IP white list is a list of trusted IP addresses from which your users can access domains. Primavera Analytics uses OBIEE for creating analyses and dashboards. For more details on IP white-listing, refer to OBIEE documentation.","Ensuring IP White-Listing","84412.htm");
Page[14]=new Array("Primavera Analytics has control over some sensitive fields. Control can be regulated to only users that are allowed to login. Data access is generally project level and either cost or no cost, and granularity is provided for those differences. Global data is also visible but honors same security as source applications.","Controlling Access to Special Categories of Data","84401.htm");
Page[15]=new Array("To assign application access to Primavera Analytics for P6 EPPM users:","Log in to Cloud Administration and do the following:","Add a user.","Assign application access for that user to Primavera P6 Production and BI Production Consumer.","Note: For details on Cloud Administration, see the Cloud Services Identity Management Administration Guide.","Log in to P6 EPPM as an administrator and do the following:","From the Administer menu, select User Access.","From the User Access window, modify the user accounts that will need access to Primavera Analytics.","Select the user account, and in the lower section of the screen, click the Module Access tab.","In the module access panel, place a check mark (double click in the checkbox so it becomes selected) in the access column next to the P6 Analytics module.","Click Save.","Repeat these steps for each user account that will need to access data from the Primavera Analytics.","Run the Global Schedule Services. For details, see Configuring and Running P6 EPPM Publication Services.","Note: You can schedule this service to run immediately or later, but it must run to successful completion prior to running the STARETL process.","Run the STARETL process.","Assigning Application Access to Primavera Analytics for P6 EPPM Users","83779.htm");
Page[16]=new Array("To assign application access to Primavera Analytics for Primavera Unifier users:","Log in to Cloud Administration and do the following:","Add a user.","Assign application access for that user to BI Author or BI Consumer, and Primavera Analytics Production.","Note: For details on Cloud Administration, see the Cloud Services Identity Management Administration Guide.","Log in to Primavera Unifier and do the following:","Go to the Company Workspace tab and switch to Admin mode.","Click Access Control in the left Navigator.","On the right pane, select Administration Mode Access &gt; Analytics. ","The Permission Settings window opens. Here you can add, modify, or remove permission settings.","Click Add. Another Permission Settings window opens.","Click Add Users/Groups. The Users/Groups window opens.","Select users and groups you want to add and click Add.","Click OK&nbsp;to return to the Permission Settings window.","Do the following to set permissions:","Select the users and groups in Select Users/Groups (in the upper portion of the window).","Select the appropriate level of access in Permissions Settings (in the lower portion of the window):","View: Allows users and groups to open and view the contents in Analytics node. Users with View permission cannot make any changes.","Modify: Allows users and groups to configure and modify the data required for Analytics. This setting also includes View permission. Users are also able to set schedule for publishing data, for various areas in Unifier, to the Oracle Business Intelligence (OBI) server. The View option must be selected for the users with Modify permissions.","Click OK.","Click OK.","Note: The Permissions tab enables access to permission templates. You can copy a permission template to quickly set up the permissions for a new user or group. You can also save an existing user or group&#8217;s permission settings as a new template for later use.","Run the STARETL process.","Assigning Application Access to Primavera Analytics for Primavera Unifier Users","83782.htm");
Page[17]=new Array("Primavera Data Warehouse adheres to the same user privileges and access rights as P6 EPPM and Primavera Unifier. Additional privileges may need to be granted to specific P6 EPPM and Primavera Unifier users. These privileges include Organizational Breakdown Structure (OBS), Cost access, and Resource access. Refer to the P6 EPPM Application Administration Guide for details about user privileges. ","The following table briefly describes the Primavera Data Warehouse and P6 EPPM privileges:","Type","Description","OBS Access","Users who have OBS access in P6 EPPM will have OBS access in OBI.","Edit EPS Costs/Financials","Users who have access to projects in the P6 EPPM database and who have this privilege set will have the same privilege in the Primavera Data Warehouse database.","Resource Access","Resource access can be set to one of the following:","All resource access: The user will have unrestricted access to resources.","None: The user cannot access any resources.","Specific resource access: The user can only access a specific resource.","Note: After modifying any P6 EPPM security privilege that affects Primavera Data Warehouse, it is required that the &quot;Publish Security&quot; Global Scheduled Service be run prior to running the STARETL process. This ensures that the correct privileges have been applied to the user account. For more information on running Global Scheduled Services, see Configuring and Running P6 EPPM Publication Services for more details.","Primavera Unifier user privileges are controlled both at the Company and the Project level. See the Primavera Unifier documentation for details.","P6 EPPM and Primavera Unifier Privileges","83441.htm");
Page[18]=new Array("This section describes the necessary tasks for using Primavera Analytics as well as important overview information.","Configuring Primavera Analytics","83749.htm");
Page[19]=new Array("The Primavera Analytics Administration Web Application enables you to view details on currently running and recently run STARETL processes and configure P6 EPPM codes and UDFs for Primavera Data Warehouse.","For initial installation, see Installing the Primavera Analytics Administration Application.","Note: Before you begin to use the Primavera Analytics Administration Application to administer Primavera Data Warehouse from any location, you must use the Primavera Data Warehouse Configuration Utility at least once to set up the database connection information. After that, you can access Primavera Analytics Administration Application URL. ","About the Primavera Analytics Administration Web Application","83411.htm");
Page[20]=new Array("To sign in to the Primavera Analytics Administration Application:","Sign in to &lt;host&gt;:&lt;port&gt;/p6rdb","where &lt;host&gt; and &lt;port&gt; were configured when you deployed p6rdb.","Use the left pane to navigate the Primavera Analytics Administration Application. It contains the following items:","EmbeddedTopicstartHome @EmbeddedTopicend: Shows currently running STARETL processes for all data sources and enables you to stop a currently running STARETL process.","EmbeddedTopicstartStatus @EmbeddedTopicend: Shows details on recently run STARETL processes for all data sources. You can view a status report and an ETL log for each STARETL process. ","EmbeddedTopicstartCodes @EmbeddedTopicend: Shows a master list of codes that are available and a subset of those which have been enabled for project, activity and resource data.","EmbeddedTopicstartUDFs @EmbeddedTopicend: Shows a list of all UDF codes that are available and a subset of those which have been enabled for project, activity, resource assignment, resource, and WBS data.","EmbeddedTopicstartConfig @EmbeddedTopicend: Allows you to configure and setup the properties of the STARETL process for each data source, and OBIEE settings. ","Using the Primavera Analytics Administration Application","83419.htm");
Page[21]=new Array("Customize the name of a STARETL data source as follows:","Sign in to Primavera Analytics Administration Application.","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","In the All list, select a data source, staretl&lt;id&gt;.","In left pane, select EmbeddedTopicstartConfig @EmbeddedTopicend.","In the Custom Name for Datasource field, enter a name for the data source.","Click Save.","Customizing the Data Source Name","84266.htm");
Page[22]=new Array("The Primavera Analytics Administration Application contains a staretl section for each data source. To run the STARETL process for a data source:","Sign in to the Primavera Analytics Administration Application.","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","In the All list, select staretl&lt;id&gt; or &lt;Custom Name for DataSource&gt;.","Note: &lt;id&gt; is the identifier of the data source.","From the Actions menu, select Run ETL to run a STARETL process immediately. ","Running the STARETL Process","83829.htm");
Page[23]=new Array("To stop the STARETL process run for a data source:","Sign in to Primavera Analytics Administration Application.","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","Select Stop for a currently running STARETL process.","View the log file, YYYYMMDDProcessID_failed.log created in the folder, &lt;PDW Install Folder&gt;\\star\\etl_homes\\STARETL&lt;id&gt;\\log.","Stopping the STARETL Process","84420.htm");
Page[24]=new Array("To view details on recently run STARETL processes for all data sources:","Sign in to Primavera Analytics Administration Application.","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","The following information is provided for each STARETL process:","Custom Name: The custom name given to a data source. ","ETL Name: The identifier for the data source for the STARETL process.","ETL ID: The unique identifier for the STARETL process run.","ETL Start Date: The start date and time for the STARETL process run based on the server time.","ETL End Date: The end date and time for the STARETL process run based on the server time.","Status: The status of the STARETL process run. These include:","OK: The STARETL process completed successfully.","Running: The STARETL process is currently running.","Failed: The STARETL process has failed. View the report and log for more information about the failure.","Report: The link to the status report of this STARETL process run.","Log: The link to the ETL log of this STARETL process run.","Reviewing the Status of STARETL Runs","84274.htm");
Page[25]=new Array("To schedule a STARETL process run for a data source:","Sign in to Primavera Analytics Administration Application:","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","In the All list, select staretl&lt;id&gt; or &lt;Custom Name for DataSource&gt;.","From the Actions menu, select Schedule Etl.","In the Schedule Frequency field, select the frequency for the STARETL process run.","If you select None, no STARETL process run will be scheduled for a data source.","If you select Daily,, enter the time for the daily process run in the Run ETL at field.","If you select Weekly:","In the Run ETL at field, enter the time for the process run.","Select the days for the STARETL process run.","(For non-ODI on-premises installations only) In the Log Level field, select the level of detail to be included in the ETL log of the scheduled STARETL process run:","Extra Debug Information: For more fine grained information on each executed step and script. It also includes general information, errors, and warnings.","Debug and Trace Information: For detailed output of each executed script, query, and connection. It also includes general information, errors, and warnings.","General Information (default): For errors, warnings, and informational messages on the progress of each step.","Errors and Warnings: For errors and warnings only.","Errors Only: For errors only.","Select Save.","Note: You can also use Task Scheduler (with Windows) or a cron job (with UNIX or Linux) to schedule STARETL process runs. See the Primavera Analytics  On-Premises Administration Guide for details.","Scheduling STARETL Process Runs","83423.htm");
Page[26]=new Array("To customize the STARETL process runs for a specific data source:","Sign in to the Primavera Analytics Administration Web Application:","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","From the All list, select staretl&lt;id&gt; or &lt;custom name for data source&gt;.","In the left pane, select EmbeddedTopicstartConfig @EmbeddedTopicend.","Set the following ETL properties to perform different functions depending on their selected value:","Load all Hierarchy Codes builds code hierarchies.","Select True to run codes_hier.sql script and build code hierarchies with all the codes that come from the source.","Select False to run codes_hier_all.sql script and build hierarchies with codes from configStar. This is the default value.","ODI LoadPlan Auto Restart controls restart of ODI Load plans.","Select True to auto restart all real-time ODI load plans. This is the default value.","Select False to manually restart all real-time ODI load plans.","Include Inactive Resources controls resource filtration.","Select True to ensure Primavera Data Warehouse tables will not filter out inactive resources.","Select False to filter out inactive resources. This is the default value.","If you include inactive resources, the spread data and other dimension tables will also include them. You may not need to process this extra resource assignment information.","Turn off all History, keep Slowly Changing Dimensions controls history tables.","Select True to turn off history tables. Slowly changing dimensions (SCDs) will continue to be captured on the project level without the history tables.","Select False to keep history tables on with SCDs. This is the default value.","Use project filter in data source 1 selects filtered projects only.","Select True to ensure the next ETL run includes only projects filtered with the ETLFILTER code = &#8216;&#8217;Y&#8217;.","The default value is False.","Enable Slowly Changing Dimensions and Spread History controls the creation of SCDs and spread history.","Select True to capture slowly changing dimensions (SCDs) and spread history. This is the default value.","Select False to turn off (SCDs) and spread history. ","Turn off Resource and Role Limits controls resource and role utilization scripts.","Select True to turn the scripts off.","Select False to keep the scripts running. This is the default value.","Unifier Configuration Settings","Set the following properties to configure STARETL runs for a Unifier data source.","Store Unifier History controls Unifier history tables.","Select True to keep the history tables running. This is the default value.","Select False to disable all history tables.","If Store Unifier History is set to True, you can set the history levels for the following: ","Unifier Space Data History Level controls space history tables. Set this value to Month.","Use P6 project Name for Unifier Project controls the source that will be used for naming a Unifier project.","When set to True, if the Unifierproject ID is identical in P6 and Unifier, then the project name from P6 is used for the Unifier project.","Select False to use the project name from Unifier.","ODI LoadPlan Auto Restart controls restart of ODI Load plans.","Select True to auto restart all real-time ODI load plans. This is the default value.","Select False to manually restart all real-time ODI load plans.","Unifier Project Shell History Level controls project shell history levels. Select the frequency of BP history tables as Week or Month.","Unifier Level Data History Level controls level history (FMRE). Select the frequency of BP history tables as Week or Month.","Unifier BP Data History Level controls BP history level. Select the frequency of BP history tables as Week or Month.","Unifier Cash Flow and Cost Sheet Data History Level controls the cash flow history and cost sheet history tables. Select the frequency of history tables as Week or Month.","Customizing STARETL Process Runs for a Data Source","84025.htm");
Page[27]=new Array("To access a report and log of a STARETL process run for a data source:","Sign in to Primavera Analytics Administration Application.","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","In the All list, select staretl&lt;id&gt; or &lt;Custom Name for data source&gt;.","In the Status review the following details on recently run STARETL process.","ETL Name: Identifier for the data source for the STARETL process.","ETL ID: Unique identifier for the STARETL process run.","ETL Start Date: Start date and time for the STARETL process run based on the server time.","ETL End Date: End date and time for the STARETL process run based on the server time.","Status: Status of the STARETL process run. These include:","OK: The STARETL process completed successfully.","Running: The STARETL process is currently running.","Failed: The STARETL process failed. View the report and log for more information about the failure.","Log: Link to the ETL Log of the STARETL process run.","Report: Link to the Status Report of the STARETL process run.","Accessing Recent STARETL Process Reports and Logs","84275.htm");
Page[28]=new Array("To extract and load a subset of P6 EPPM Codes to Primavera Data Warehouse:","Sign in to Primavera Analytics Administration Application:","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","In the All list, select staretl&lt;id&gt; or a &lt;Custom Name for data source&gt;.","In the left pane, select EmbeddedTopicstartCodes @EmbeddedTopicend.","Select any of the following tabs to extract and load the following P6 EPPM codes to Primavera Data Warehouse:","Project","Activity","Resource","Note: Primavera Data Warehouse has a limit of 240 codes for each supported type (project, activity, and resource). By default, Primavera Analytics exposes only the codes that have been enabled through the File System-based Configuration utility or Primavera Analytics Administration Application.","To select a code to be loaded to Primavera Data Warehouse:","In the Available Codes list, select a code.","Select the right-arrow @ to move the selected code to the Enabled Codes list.","Use the up and down arrow buttons to change the order of the codes in the ID column.","Select Save Changes.","Note: On the Activity tab, configure the scope each Activity code in the Enabled Codes list from the following levels in Primavera Data Warehouse: Global, EPS, and Project. If the same code name is mapped at different levels (Global, EPS, and Project), then use the Scope column to determine at which level an activity code exists. For example, if you have a global activity code called MyCode, and a project activity code called MyCode, then use the Scope column to determine which activity code value to use.","To deselect a code:","In the Enabled Codes list, select a code.","Select the left-arrow @ to move the selected code to the Available Codes list.","Select Save Changes.","Note: The Primavera Analytics Administration Application cannot configure codes for a Primavera Unifier data source. Primavera Unifier code configuration must be done within Primavera Unifier interface. For more details, see &lt;ProdName_Unifier&gt; documentation.","Additional Information on Codes","All codes configured in the Primavera Analytics Administration Application are available as hierarchies in Primavera Data Warehouse.","Full path values or specific node level values are available for each code.","Code Hierarchies apply to only Project, Activity (Global only), and Resource codes.","Hierarchies do not apply to Activity codes in Project or EPS codes.","There are no additional configuration steps required to use code hierarchies.","Configuring P6 EPPM Codes for Each Data Source in","84276.htm");
Page[29]=new Array("To extract and load a subset of P6 EPPM UDF Codes to Primavera Data Warehouse:","Sign in to Primavera Analytics Administration Application:","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","In the All list, select staretl&lt;id&gt; or a &lt;custom name for data source&gt;.","In the left pane, select EmbeddedTopicstartUDFs @EmbeddedTopicend.","Select any of the following tabs to migrate the following UDFs to Primavera Data Warehouse for the selected data source:","Project","Activity","Resource Assignment","Resource","WBS","For example, select Project. Activity, Resource, Resource Assignment, and WBS level UDFs from P6 EPPM to migrate to Primavera Data WarehousePrimavera Data Warehouse supports Cost, Date, Non-Cost, Text, and Indicator UDF types.","Select any of the following tabs to migrate a UDF type. The following UDF types are supported:","Cost","Date","Non-Cost","Number and Integer UDF types are displayed in the 'Non-Cost' folders.","Text","Indicator","For additional information on configuring Indicator UDFs in OBI, see http://blogs.oracle.com/P6Analytics/entry/indicator_type_udfs_part_2.","Notes: ","Formula-driven UDF values are not brought over during the STARETL process. The calculated UDFs can be selected as columns but the values will be null in the Primavera Data Warehouse database.","Primavera Data Warehouse has a limit of approximately 220 UDFs for each supported level (Project, WBS, Activity, Resource, and Resource Assignment) and data type (Cost limit is 220, Non-Cost limit is 220, and a combination comprising Date, Text, and Integer of 220). The limit for Indicator type UDFs for each level is 40. For example, you can select a total of 220 UDFs that includes Project Cost UDFs, WBS Cost UDFs, Activity Cost UDFs.","By default, Primavera Analytics exposes only the UDFs that have been enabled through the File System-based Configuration utility or Primavera Analytics Administration Application. ","To select a UDF to be migrated to Primavera Data Warehouse:","In the Available UDFs list, select a UDF from P6 EPPM.","Select the right-arrow @.","To deselect a UDF from being migrated to Primavera Data Warehouse:","In the Enabled UDFs list, select the UDF from P6 EPPM.","Select the left-arrow @.","Select Save Changes.","Configuring P6 EPPM UDFs for each Data Source","84277.htm");
Page[30]=new Array("To configure the RPD action links:","Sign in to the Primavera Analytics Administration Web Application:","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","In the All list, select staretl&lt;id&gt; or a &lt;Custom Name of a data source&gt;.","In the left pane, select EmbeddedTopicstartConfig @EmbeddedTopicend.","In the RPD Action Links section enter the URLs in the following formats:","Unifier Base URL: http://&lt;host&gt;:&lt;port&gt;/bluedoor","P6 Base URL: http://&lt;host&gt;:&lt;port&gt;/p6","Configuring RPD Action Links","84273.htm");
Page[31]=new Array("Primavera Analytics allows administrators and other designated people to receive e-mail notifications and alerts when attention may be required to events that have occurred within the operation of your Primavera Analytics system.","To configure email notifications:","Sign in to the Primavera Analytics Administration Application.","http://&lt;host&gt;:&lt;port&gt;/p6rdb","In the left pane, select EmbeddedTopicstartStatus @EmbeddedTopicend.","In the All list, select staretl&lt;id&gt; or a &lt;Custom Name of a data source&gt;.","In the left pane, select EmbeddedTopicstartConfig @EmbeddedTopicend.","Select the Send Email Notification checkbox.","In the Send Email Notification On list, select the event for which you wish to be notified: ","Failure: Select this option to be notified only for failed ETL runs.","Success: Select this option to be notified only for successful ETL runs.","Both: Select this option to be notified for successful and failed ETL runs.","In the To, CC, or BCC, fields, enter the email addresses of the individuals to be notified. ","Note: Multiple email addresses must be separated by semi-colons.","Select Save.","Configuring E-mail Notifications and Alerts","85156.htm");
Page[32]=new Array("Primavera Data Warehouse can use two additional financial periods. Use the following procedure to add the additional financial periods to your Primavera Data Warehouse:","Note: You must have previously run the STARETL process.","Log in to the Primavera Data Warehouse database instance as the schema owner (for example, the STARUSER account).","Run a query to set the values for fin_period_2 and fin_period_3. For example:","update w_day_d set fin_period_2 = CHR(64 + cal_month)||'-'||cal_year;","update w_day_d set fin_period_3 = CHR(64 + cal_month)||'-'||cal_year;","Enter these queries as one line.","Commit these changes.","Run the STARETL process.","Installing and Configuring Financial Periods","83453.htm");
Page[33]=new Array("Every time you run the STARETL process, Primavera Data Warehouse&nbsp;creates extensive log files that provide information about the installation and daily operations details of each step of the process. Inspect the log files after each run of the STARETL process to determine if any issues exist.","The following log files are created after each STARETL run:","&lt;yyyymmdd&gt;ProcessId.log: Contains the details of the SQL commands run to perform the database refresh updates.","&lt;yyyymmdd&gt;ProcessId.html: Contains results of the processes run to create the users, tables, and transfer of data. This log file provides the time it took for each step to run. It is derived from the ETL_PROCESSMASTER, ETL_PROCESSINFO, and ETL_PROCESSEXCEPTION tables.","Note: &lt;yyyymmdd&gt; represents the date the STARETL process run.","Using the Primavera Analytics Administration Application","To access the log files from the Primavera Analytics Administration Application :","Sign in to Primavera Analytics Analytics Administration Application.","In left pane, select Status.","Select the Log tab.","Using the STARETL Process Server","To access the log files on the STARETL process server, go to &lt;PDW Install Folder&gt;\\star\\etl_homes\\staretl&lt;id&gt;\\log","If a problem occurs with Primavera Data Warehouse and the log files do not provide sufficient information, see Primavera Data Warehouse Troubleshooting.","Accessing  Primavera Data Warehouse Log Files","83450.htm");
Page[34]=new Array("Primavera Data Warehouse relies on data from P6 EPPM and/or Primavera Unifier. One or both of these products must be installed and operational before you install the Primavera Data Warehouse. Refer to the Tested Configurations document for supported versions of each product. ","Before you install Primavera Data Warehouse, configure and run P6 EPPM and/or Primavera Unifier Publication Services. This ensures that the data is up-to-date and ready to be extracted, transformed, and loaded (ETL) into Primavera Data Warehouse. See Configuring and Running P6 EPPM Publication Services and Configuring and Running Primavera Unifier Publication Services  for details.","Installing P6 EPPM and Primavera Unifier","83397.htm");
Page[35]=new Array("If you are using P6 EPPM as a data source, Primavera Data Warehouse relies on data from the P6 EPPM Extended Schema and related publication services. Configure the P6 EPPM publication services and run them successfully prior to running a STARETL process. The publication services are responsible for moving and transforming P6 EPPM data into the P6 EPPM Extended Schema.","Note: If the publication and at least one of the global scheduled services are not run prior to installing the Primavera Data Warehouse software, the STARETL configuration process will fail. &nbsp;See the document &quot;Running configStar Results In Blank Pop-up When Clicking Finish, Preventing Configuration Utility From Completing And Logging Following Error: java.lang.NullPointerException at java.util.Calendar.setTime(Unknown Source)&quot; (Doc ID 1904956.1) on My Oracle Support at http://support.oracle.com.","There are two types of publication services within P6 EPPM that need to be run in order to ensure that the data in the P6 EPPM Extended Schema is up-to-date prior to running the STARETL process.","Global Scheduled Services: Global services are responsible for moving global/enterprise level data (Users, Security, Codes, Hierarchies, and so on) from the P6 EPPM base tables into the Extended Schema. Due to the possibility that this type of global data does not change frequently, Global Services can be configured to run at regularly scheduled intervals. Global scheduled services include the following:","Publish Enterprise Data Service calculates and publishes enterprise-level business objects containing calculated and denormalized fields, including cost accounts, currencies, calendars, codes, funding sources, resource teams, role teams, timesheet dates, UDFs and more.","Publish Enterprise Summaries Service calculates and publishes EPS-level spread data for currently published projects in a given EPS.","Publish Resource Management Service calculates and publishes the resource hierarchy, resources, resource rates, resource limits, role rates, resource role assignments, and resource security.","Publish Security Service publishes users, the OBS, and security profiles and calculates security for the P6 Extended Schema.","Project Level Service: This service updates data in the P6 EPPM Extended Schema for each project. This service can be configured to run at specific time intervals or based on a number of changes interval. This service processes projects in a queue type fashion.","See the P6 Help for details on Publication Services.","To configure and run Publication Services in P6 EPPM, complete the following steps:","Log in to P6 EPPM as an administrator user.","EmbeddedTopicstartClick the EmbeddedTopicstartAdminister @EmbeddedTopicend menu and select Application Settings.","EmbeddedTopicendOn the Application Settings pane, click Services.","On the Services page, in the Publication section, use the following fields to set the amount and frequency of data updates in the P6 EPPM Extended Schema. For the Primavera Data Warehouse, set the following:","Start Date: Enter the start date for all time-distributed data published.","Finish date is current date plus: Enter the rolling end date for all time-distributed data published. ","Time distributed interval: Enter the spread data bucket types (day or week).","Select the Enable Publish Projects option and adjust the remaining options in this section as needed for your data.","The projects that qualify for publication publish to the P6 EPPM Extended Schema.","Note: To verify the status of each project publication job in P6, select Projects, EPS, Actions, View Service Status.","When publication is complete, run P6 EPPM Global Scheduled Services:","Click the EmbeddedTopicstartAdminister @EmbeddedTopicend menu and select Global Scheduled Services.","In the following order, set the following global services to run immediately by right-clicking the service name and selecting Run Service.","Publish Enterprise Data","Publish Resource Management","Publish Security","Publish Enterprise Summaries","Note: After configuring and running publication services, configure Global Scheduled Services to run at regular intervals to work in conjunction with any changes to the P6 EPPM data.","If you are using Oracle Data Integrator (ODI), complete the additional steps described in Configuring ODI Source User and Source Schema Privileges.","Configuring and Running P6 EPPM Publication Services","83398.htm");
Page[36]=new Array("To load data to the P6 tables: ","Sign in to Analytics WebApp as a user.","In the left pane, click staretl1 or &lt;custom name for data source&gt; that was given when adding P6 as a source.","Click Publication Services, and then click Settings.","In the Publication Settings section:","Use the following fields to set the amount and frequency of data updates in the P6 EPPM Extended Schema. ","For Primavera Data Warehouse, set the following:","Start Date: Enter the start date for all time-distributed data published.","Finish date is current date plus: Enter the rolling end date for all time-distributed data published.","Time distributed interval: Enter the spread data bucket types (day or week).","Select the Enable Publish Projects option and adjust the remaining options in this section as needed for your data.","Click Publish Projects, to publish the projects to the P6 EPPM Extended Schema.","Note: To verify the status of each project publication job, check the status on Project Publication Status tab.","When publication is complete, run P6 EPPM Global Scheduled Services:","On the Publication Services page, click the Global tab.","Set the following global services to run immediately in the following order by selecting the service name and clicking Run.","Publish Enterprise Data","Publish Resource Management","Publish Security","Publish Enterprise Summaries","Publish Audit data","Note: After configuring and running publication services, configure Global Scheduled Services to run at regular intervals to work in conjunction with any changes to the P6 EPPM data.","Configuring and Running P6 EPPM Publication Services from Analytics Web Application","84297.htm");
Page[37]=new Array("If you are using Primavera Unifier as a data source, the Primavera Data Warehouse relies on data from the Primavera Unifier Staging Tables and related publication services. You must configure and run publication services prior to running the STARETL process. This enables users to control what data to calculate and store and how often the data is updated.","Note: For detailed instructions on publishing data in Primavera Unifier, see &quot;Publishing Unifier Data to Analytics&quot; in the Primavera Unifier Administration Guide.","To configure publication services in Primavera Unifier, complete the following steps:","Log in to Primavera Unifier with an account that has admin privileges (ootbadmin).","Go to the Company workspace.","Change the mode from user mode to admin mode.","Open the Analytics module.","Click the Schedule icon @ on the toolbar.","On the Schedule Setup pane, set the data update frequency.","If you have made any changes to the data definition or the data mapping fields, select the Refresh all data checkbox.","Note: If you choose to refresh all data, you may want to deselect the Refresh all data checkbox after the run is complete.","Click OK.","If you are using Oracle Data Integrator (ODI), complete the additional steps described in Configuring and Running Publication Services with ODI.","Configuring and Running Primavera Unifier Publication Services","83399.htm");
Page[38]=new Array("To capture and store historical data from P6 EPPM in Primavera Data Warehouse, configure the history settings as follows:","Configure P6 EPPM to specify the History Level and History Interval for each project:","Log in into P6 with a user that has the Edit Project Details Except Cost/Financials privilege.","Click Projects.","On the Projects navigation bar, click EPS.","On the EPS page:","Select a project.","Click the EmbeddedTopicstartActions @EmbeddedTopicend menu and select EmbeddedTopicstart@ Set Project PreferencesEmbeddedTopicend.","In the Project Preferences pane, click Analytics.","On the Analytics page:","Select one of the following History Level settings:","None (default)","Project","WBS","Activity (Daily)","Activity (Weekly)","Activity (Monthly)","Select one of the following History Interval settings:","Month (default)","Week","Quarter","Year","Financial Period","Select one of the following Data Warehouse Update Frequency settings:","Scheduled","Immediate","Click Save or Save and Close.","Note: If you select Activity (Daily) as the History Level, the History Interval for Activity and Resource Assignment history is automatically set to Daily. The History Interval will also match Activity (Weekly) and Activity (Monthly) if either are selected, setting Resource Assignment history to Weekly and Monthly, respectively. Use caution when selecting which projects you choose to have daily history captures as this can affect the amount of time and the volume of data processed when running the STARETL process. You still need to set the history interval level when selecting Activity level history, which will apply to project and WBS-level history only.","Publish the project data using the publication services in both P6 EPPM and Primavera Unifier. ","Run the STARETL process at the lowest time interval for which history is being captured:","Go to &lt;PDW Install Folder&gt;\\star\\etl_homes\\staretl&lt;id&gt;.","Run staretl.bat (with Windows) or staretl.sh (with UNIX or Linux).","Configuring P6 EPPM History Settings for Primavera Data Warehouse","81815.htm");
Page[39]=new Array("Primavera Unifier also provides the ability to capture and store history data. Data can be captured at either the Monthly or Weekly intervals, (with the exception of Space history which is monthly only). No additional settings are required.","Creating History Data for Primavera Unifier","81876.htm");
Page[40]=new Array("Slowly changing dimensions (also known as Type 2 dimensions) preserve an attribute's history of values by capturing non-fact or dimensional data and associating that data with the correct version of the fact row. Captured data includes project, resource, activity, resource assignment dimensional data, and more. Slowly changing dimensions are used when is it important to preserve the historic context of facts.","When source data elements change or when the STARETL process is run, a new row is added to the dimension table and the previous row is left unchanged. Previously recorded facts remain associated with the old dimension row and new facts are associated with the new dimension row. These rows show the changes to an attribute over time. For example, if the Planned Start Date for an activity has changed between the current capture and the previous capture, the old and new date would both be recorded in the dimension table.","Dimension rows in the dimension table are distinguished by the Effective Start Date, Effective End Date, and Current Flag. The date and time the STARETL process starts becomes the Effective Start Date for the new dimension row. The new version of a dimension Effective End Date defaults to 01-Jan-3000 00:00:00. When the STARETL process is run again, the Effective End Date for the latest version of the attribute then becomes the Effective Start Date for the current version minus one second. For example, if the Effective Start Date for the current version of the attribute is 17-Nov-2014 08:00:00, then the Effective End Date for the previous version becomes 17-Nov-2014 07:59:59. The most recent dimension row in the dimension table has a value of &quot;1&quot; in the Current Flag column. All other rows have &quot;0&quot; in the Current Flag column.","Daily snapshot fact tables enable the daily capture of metrics at the Resource Assignment and Activity Levels. Daily snapshot fact tables are used in conjunction with slowly changing dimensions. For example, when the Activity History daily snapshot is recorded, new fact rows will be updated with the most current version of each record in the activity dimension. Previously recorded facts remain associated with the old dimension row version.","The daily snapshot makes it easy to determine what metrics such as Remaining Units looked like at any point in time across all projects that have been opted into this level of data capture.","Using Slowly Changing Dimensions and Daily Snapshot Fact Tables for P6 EPPM Data","83500.htm");
Page[41]=new Array("To enable slowly changing dimensions and daily history snapshots for a project:","Log in to P6 EPPM.","In P6, click Projects.","On the Projects screen navigation bar, click EPS.","On the EPS page:","Select a project.","Click the EmbeddedTopicstartActions @EmbeddedTopicend menu and select EmbeddedTopicstart@ Set Project PreferencesEmbeddedTopicend.","In the Project Preferences dialog box:","Ensure the project is configured for Publication Services.","On the Project Preferences pane, click Services.","On the Services page, select the Enable Publication option in the Publication section.","Configure the project's History Level setting.","In the Project Preferences pane, click Analytics.","On the Analytics page, click the History Level drop-down and select Activity.","Note: You should still configure the History Interval setting, but it will only apply to Project and WBS-level history metrics.","Click Save and Close.","Enabling Daily History Snapshots and Slowly Changing Dimensions","82094.htm");
Page[42]=new Array("If you turn off the slowly changing dimensions for a field, the current dimensional row can be updated with a new value without the addition of a new dimensional row.","You can control slowly changing dimensions for a data source on a field-by-field level by making adjustments to mappings.tcsv for that data source, which is in &lt;PDW install Folder&gt;\\star\\etl_homes\\staretl&lt;id&gt;\\res. ","A Y or N flag for each field in the mappings file controls whether a change to this field would cause a new row to be added to the dimensional table. Y indicates that a change will cause a new row to be added. N indicates that a new row will not be added if a change is made to this field. For example, if the Activity Description field has a Y flag, then changes made to this field will cause a new row to be added to the dimensional table the next time the STARETL process is run. If the EPS Name field has an N flag, then the STARETL process will not update the dimensional table with a new row. Configuring the Y or N flag for each field can prevent cascading updates to fact tables. For example, if a change is made to the EPS table, that change would cause a new row to be added to the dimension table for all of the activities affected by the change.","Turning Off Slowly Changing Dimensions","83501.htm");
Page[43]=new Array("Primavera Data Warehouse and Primavera Analytics contain an additional way that data can be analyzed outside of the standard P6 EPPM methods. Primavera Data Warehouse and Primavera Analytics include additional tables and configuration for Burn Down. In the simplest of terms, Burn Down is a set of calculations that display how a project will progress if everything goes &quot;according to plan&quot;. Primavera Analytics includes metrics and Key Performance Indicators (KPIs) for both the current project data, as well as any point in the past for which the data was captured. These metrics and KPIs include both current and historical activity counts, units, and costs. Primavera Analytics and Primavera Data Warehouse has the ability to track and monitor how the current schedule is executing in relationship to how it was supposed to progress at the start of the project (T‐0). This includes, but is not limited to, any new activities that were added to the current project that did not exist at the start of the project (emergent), activities that have been removed in the current schedule that existed in the point in time capture of the project (deleted), and activities whose start or finish has changed since the point in time capture of the project.","Use the sections in this chapter to learn more about the additional functionality, how to set it up in P6 EPPM, and how to work with the data in Primavera Analytics.","Note: Oracle provides several white papers that detail aspects of Burn Down:","Burn Down Detail Data Flow: http://www.oracle.com/webfolder/technetwork/tutorials/primavera/OnlineLearning/WhitePapers/BurnDown_Details_DataFlow.pdf","Burn Down Units Details: http://www.oracle.com/webfolder/technetwork/tutorials/primavera/OnlineLearning/WhitePapers/BurnDown_Details_Units.pdf","Burn Down Counts Details: http://www.oracle.com/webfolder/technetwork/tutorials/primavera/OnlineLearning/WhitePapers/BurnDown_Details_Counts.pdf","Using Burn Down for P6 EPPM Data","83502.htm");
Page[44]=new Array("Only P6 EPPM projects can be manually included to take advantage of the Oracle Primavera Burn Down tables and functionality. This section describes how to create and configure the necessary P6 EPPM project level user-defined fields (UDFs) that the STARETL process needs to include project(s) in Burn Down. ","To create the project UDFs, complete the following steps:","Log in to P6 EPPM with a user account that has the privilege to change enterprise data (for example, admin).","Click the Administer @ menu and select Enterprise Data.","On the Enterprise Data page, expand Projects and select Project UDFs.","On the Project UDFs page:","Add a sys_workdown UDF with a data type of Text.","Add a sys_workdown_date UDF with a data type of Start Date.","Creating Project UDFs for Burn Down Subject Areas","83503.htm");
Page[45]=new Array("For a project to be included in the Burn Down tables and subject area, you must configure specific project UDF and History Level settings in P6.","To select which P6 EPPM project will be included in Burn Down tables and metrics, complete the following steps:","Log in to P6 EPPM.","In P6, click Projects.","On the Projects navigation bar, click EPS.","On the EPS page:","Select a project.","Click the EmbeddedTopicstartActions @EmbeddedTopicend menu and select EmbeddedTopicstart@ Set Project PreferencesEmbeddedTopicend.","In the Project Preferences dialog box, in the Project Preferences pane, click Analytics.","On the Analytics page, click the History Level drop-down and select Activity.","In the Project Preferences dialog box, click Save and Close.","On the Projects navigation bar, click EPS.","On the EPS page, add the sys_workdown and sys_workdown_date UDF columns to the page.","For the projects you want to add to the Burn Down subject area:","Enter project in the sys_workdown column.","Enter a date value (for example, 09/30/2015) in the sys_workdown_date column. This value is used as the snapshot date for comparison to actual project values. If no value is entered here, the Project Start Date is used.","Note: The date used for the initial Burn Down data capture is one day before the date entered for this UDF. For example, if the sys_workdown_date is 03/31/2016, then the STARETL process uses 03/30/2016 for the Burn Down comparison.","Selecting the Project for the Burn Down Subject Area","83505.htm");
Page[46]=new Array("After adding P6 EPPM projects for inclusion in the Burn Down and/or Work Planning subject areas, it is important that the date/time period specified in P6 EPPM under the Administration, Application Settings, Services in the Publication Period section is later than the latest project finish for ALL project(s) that will be included for Burn Down and/or Work Planning. For example, in P6 EPPM Publication Services settings, if you specify a start date of October 1, 2015 and the finish date is current date plus setting is two years, the finish date for all of the Burn Down/Work Planning project(s) must have a finish date before September 30, 2017. If a project extends past the finish date setting in the publication services settings, the Burn Down/Work Planning portion of the STARETL process generates an error.","Additionally, you must set the Time distributed interval field to Day. The underlying calculations used during the Burn Down/Work Planning portion of the STARETL process require spread data stored at the daily level.","Note: Setting a finish date range that is too long will affect the STARETL process run time. Each day the publication services are run, the finish date range also extends by one day.","Burn Down and Work Planning with the STARETL Process","83506.htm");
Page[47]=new Array("A project can have activities scheduled and completed before a burn down begins. This gives users the flexibility to begin the project burn down on the date specified in the sys_workdown_date UDF rather than the Project Start Date.","In a Burn Down project, the initial snapshot of the project's activities and assignments is taken the day before the date entered in the sys_workdown_date UDF. This snapshot is used as a baseline to compare against actual values. For example, the Baseline Remaining Units Burned can be compared to the Remaining Units Burned. The STARETL process must be run one day before the sys_workdown_date (or the Project Start Date if this UDF is not used) to capture this initial snapshot.","Scheduling a Burn Down Project","82096.htm");
Page[48]=new Array("When using Burn Down Metrics, you must update the schedule and run the STARETL process. Each daily STARETL process updates two sets of daily metrics:","Metrics for &#8216;Today&#8217;: All work completed today through the latest schedule update and data date change is recorded as work completed for the current date when the STARETL process occurs.","Metrics for &#8216;Yesterday&#8217;: Since the data from yesterday is only current through the latest schedule update and data date change, any additional work completed yesterday but AFTER the update is now added to the daily metrics for &#8216;yesterday&#8217;. ","For example, a project is updated at 6pm daily and the STARETL process is then executed. The next day, these become metrics for &#8216;yesterday&#8217; and initially reflect work only through 6pm yesterday. When the STARETL process is executed today, any additional work completed between 6pm and midnight is now included under the metrics for &#8216;yesterday&#8217;.","About the STARETL Process and Burn Down Metrics","82177.htm");
Page[49]=new Array("To capture daily trending information, complete the following steps each day to calculate the metrics in the Burn Down subject area:","Update the status of activities in the projects you configured in P6 to be included in the Burn Down subject area. For example, update the Actual and Remaining Units and which activities are completed.","Adjust the data date to correspond to the latest status update.","Run the STARETL process.","Note: The STARETL run must occur within each calendar date to properly capture daily metrics.","Calculating Metrics in the Burn Down Subject Area","82098.htm");
Page[50]=new Array("Primavera Analytics supports Work Planning for P6 EPPM data. Work Planning is a method of tracking how work is progressing based on a set of user-determined points in time. Similar to Burn Down, Work Planning also uses project-level user-defined fields (UDFs) to select the P6 EPPM projects included in the Work Planning calculations and metrics and also the point in time you want to use for the comparison.","Using Work Planning for P6 EPPM Data","83507.htm");
Page[51]=new Array("You can manually include P6 EPPM projects to take advantage of the Work Planning tables and functionality. ","You must create and configure the necessary P6 EPPM project-level user-defined fields (UDFs) that the STARETL process needs to include projects in Work Planning. To do this, complete the following steps:","Log in to P6 EPPM.","Click the EmbeddedTopicstartAdminister @EmbeddedTopicend menu and select Enterprise Data.","On the Enterprise Data page, expand Projects and select Project UDFs.","On the Project UDFs page:","Add a sys_workprocess UDF with a data type of Text.","Add a sys_scope_freeze UDF with a data type of Text.","Add a sys_schedule_freeze UDF with a data type of Text.","Creating Project UDFs for Work Planning Subject Areas","82099.htm");
Page[52]=new Array("The Work Planning subject area is designed for ongoing project work typical of routine and online maintenance projects.  In these projects, planning metrics are tracked week over week and workweek metrics are tracked daily. There are specific Project UDF and History Level settings required in P6 to include a project in the Work Planning subject area.","Complete the following steps to select the P6 EPPM projects for the work planning subject area:","Log in to P6 EPPM.","In P6, click Projects.","On the Projects navigation bar, click EPS.","On the EPS page:","Select a project.","Click the EmbeddedTopicstartActions @EmbeddedTopicend menu and select EmbeddedTopicstart@ Set Project PreferencesEmbeddedTopicend.","In the Project Preferences dialog box:","Ensure the project is configured for publication services.","Click Services in the Project Preferences pane.","On the Services page, select the Enable Publication option in the Publication pane.","Configure the project's History Level setting.","Click Analytics in the Project Preferences pane.","On the Analytics page, select Activity from the History Level drop-down list.","Click Save and Close.","On the Projects navigation bar, click EPS.","On the EPS page, add the sys_workprocess, sys_scope_freeze, and sys_schedule_freeze UDF columns to the page.","For the projects you want to add to the Work Planning subject area:","Enter workweek in the sys_workprocess column.","Note: Use the format T-&lt;x&gt;w (where &lt;x&gt; equals the number of weeks prior to scope freeze and schedule freeze) must be followed exactly when entering the sys_scope_freeze and sys_schedule_freeze UDF values.","Enter a value in the sys_scope_freeze column. This is a relative value for each week in a project's schedule. For example, if you enter T-2w, scope freeze for each week in a project is calculated as two weeks prior to the Planned Start Date of that week. Scope freeze metrics, such as Scope Freeze New or Scope Freeze Lost, are captured for each week in a project schedule from each week's calculated scope freeze date up to and including its completion.","Enter a value in the sys_schedule_freeze column. This is a relative value for each week in a project's schedule. For example, if you enter T-1w, schedule freeze for each week in a project is calculated as one week prior to the Planned Start Date of that week. Schedule freeze metrics, such as Schedule Freeze New or Schedule Freeze Lost, are captured for each week in a project schedule from each week's calculated schedule freeze date up to and including its completion.","Selecting a Project for the Work Planning Subject Area","82345.htm");
Page[53]=new Array("Scope freeze, schedule freeze, and actual metrics are captured for each week of planned work in a project that has been opted into the Work Planning subject area. Each individual week in the schedule will have these metrics captured leading up to that week&#8217;s execution, allowing users to monitor their planning performance on a weekly basis for an upcoming week of work.","The sys_scope_freeze and sys_schedule_freeze UDFs control the amount of history or the number of weeks these metrics capture for each individual week leading up to the execution week.","The diagram below illustrates how the ETL process would capture Work Planning metrics for the week 12/17/2012 to 12/23/2012 given the following P6 settings:","The sys_scope_freeze equals T-2w","The sys_schedule_freeze equals T-1w","The Starting Day of Week equals Monday (this is set in the P6 Application Settings)","In this scenario, the Scope Freeze for the week starting on Monday 12/17/2012 occurs two weeks prior (T-2w) to that week&#8217;s planned start date. Schedule Freeze occurs one week prior (T-1w) to that week&#8217;s planned start date. Daily Actual Start and Finish metrics are captured throughout the week.","Once the STARETL process has run on these respective freeze dates, any changes in the schedule for an upcoming week (such as adds, deletes, or planned date changes) are recorded the next time the STARETL process runs.","Scheduling a Work Planning Project","82100.htm");
Page[54]=new Array("Graded approach to schedule adherence is a method for tracking adherence using four distinct levels of work scheduling (A, B, C, and D).","The levels of work scheduling are:","A (Hourly): Used when you require the most control, adherence, and management oversight. Reasons include risk (probability safety analysis/risk assessment), personnel safety, or other significant concerns. Users must finish Level A activities within one hour of the target planned finish date.","B (Daily): Used for work requiring multi-discipline coordination, significant tagouts, or risk significant work. Users must finish Level B activities on the same day as the target planned finish date.","C (Weekly): Used for non-risk significant and routine work that does not require support from other work groups. Users must finish Level C activities within the week of the target planned finish date.","D (No Tracking): Used for housekeeping, shop work, and other types of work that have no impact to the plant. Level D activities are considered &#8220;fill-in&quot; work and are not tracked for schedule adherence.","To configure graded schedule adherence:","Ensure you have enabled a project for Work Process: ","The sys_workprocess=WORKWEEK, sys_scope_freeze, and sys_schedule_freeze UDFs are populated and History Level are set to Activity.","Ensure history exists for the project as of the scheduled freeze date and T-0 baseline date for the week the STARETL process will run.","Code activities using an Activity Code or UDF to identify the adherence grade (A, B, C, D).","For example, in the sample data, Activity Code 11 (Schedule Adherence Priority) is used.","Note: Ensure the Activity Code or UDF used is set up correctly both in the Primavera Data Warehouse database and the repository definition.","During T-0 for a given week when you run the STARETL process, the Baseline Planned Finish Date (as of T-0) and the Schedule Freeze Planned Finish Date (as of schedule freeze UDF) for the activities will be captured. You can use these dates along with the assigned adherence grade to calculate the graded schedule adherence in Primavera Analytics. ","Using Graded Approach to Schedule Adherence","82199.htm");
Page[55]=new Array("Both P6 EPPM and Primavera Unifier can store location information for projects. In addition, P6 EPPM can also store location information for activities and resources. Primavera Analytics can create intelligent analysis to evaluate measures using the geographical location data entered in P6 EPPM and Primavera Unifier. To accomplish this, you will need spatial boundary data and maps. Primavera Analytics comes with access to Oracle eLocation services. Oracle eLocation service is a cloud-based map data service that provides mapping, geocoding, and routing capabilities. For more information, see the Oracle Business Intelligence (OBI) documentation on mapping and spatial information.","Primavera Analytics now uses built-in Oracle Maps within OBI by default for creating spatial analyses included with Primavera Analytics sample catalog without any external schema or additional Map Viewer configuration. Alternatively, you can continue to use Map Viewer demo data (MVDEMO) for spatial analyses.","Note: If you choose to use Map Viewer demo data (MVDEMO), the location attributes you enter in P6 EPPM and Primavera Unifier must match the attributes in the MVDEMO data to ensure the map layers render correctly.","For example, if you configure your map to use the CITIES_ALL tile, you should query the MVDEMO database user schema and use the exact, case sensitive code that resides in the schema. This means if you have a city name, Philadelphia, in P6 EPPM, the name Philadelphia must also exist in the MVDEMO CITIES_ALL tile.","Using Location Data","83511.htm");
Page[56]=new Array("P6 EPPM supports the ability to enter location data at the dictionary level that can be assigned to Projects, Activity, and Resources and then extracted, transformed, and loaded into Primavera Data Warehouse for use in Oracle Business Intelligence (OBI) analysis.","To create location data in P6 EPPM, complete the following steps:","Log in to P6 EPPM with an account that has the privilege to change enterprise data (for example, admin).","Click the Administer @ menu and select Enterprise Data.","In the Enterprise Data pane, expand Global and select Locations.","Enter the location data as appropriate for your specific needs.","Assign locations data to projects, activities, and resources as needed. ","Note: See the P6 help for information about entering and assigning location data.","After all of the location data is entered and assigned where appropriate for your environment, run all of the Global Publication Services to ensure that the data in the publication tables is up to date. After Publication Services have run to successful completion, run the STARETL process to extract, transform, and load the data from P6 EPPM to Primavera Data Warehouse. See the Primavera Data Warehouse Installation and Configuration Guide for details.","Entering P6 EPPM Data for Mapping","83512.htm");
Page[57]=new Array("Primavera Unifier supports the ability to enter location data that be assigned to project shells and then extracted, transformed, and loaded into Primavera Data Warehouse for use in Oracle Business Intelligence (OBI) analysis.","To enter location data in Primavera Unifier:","Sign in to Primavera Unifier.","Assign locations to your projects.","From the Company Admin screen, select the Analytics module.","In the Shell mapping configuration, ensure that the State, State Code, Country, and Country Code columns are mapped to the appropriate Primavera Unifier data elements.","Note: When you map a Shell to a UDF in the Unifier Analytics module, the data type of the UDF determines whether it will be available as a dimension or a fact in in analytics.","If the data type of the UDF is String or Date, the data will be mapped as a Dimension object in Primavera Analytics.","If the data type of the UDF is Numeric, then the data will be mapped as a Fact object in Primavera Analytics, and is only available in the Primavera - Project User Defined Fields and Primavera - Project User Defined Fields History subject areas.","After you have entered and assigned all of the location data where appropriate for your environment, run all Publication Services to ensure that the data in the publication tables is current. After Publication Services have run successfully, run the STARETL process to extract, transform, and load the data from Primavera Unifier to Primavera Data Warehouse. ","Preparing Primavera Unifier Data for Mapping","83514.htm");
Page[58]=new Array("You can create connections to Oracle Applications and use those connections to create data sets.","You use the Oracle Applications connection type to create connections to Oracle BI EE. After you create a connection, you can access and use subject areas and analyses as data sets for your projects.","In the Home page of Data Visualization Data, click Create, then click Connection. to display .","In the Create Connection dialog box, click the Oracle Applications icon.","Enter a name for the new connection enter the OBIEE URL, the username, and the password.","In the Authentication field, specify if you want the users to be prompted to log in to access data from the Oracle Applications data source.","If you select Always use these credentials, then the login name and password you provide for the connection is always used and users aren&#8217;t prompted to log in.","If you select Require users to enter their own credentials, then users are prompted to enter their user names and passwords to use the data from the Oracle Applications data source. Users required to log in see only the data that they have the permissions, privileges, and role assignments to see.","Click Save.","Creating Oracle Applications Connections","85215.htm");
Page[59]=new Array("Use the Primavera Analytics Cloud Sync utility to populate your on-premises Primavera Data Warehouse with data from cloud.","Note: To use Primavera Analytics Cloud Sync, you must have a license for Primavera Analytics, on-premises or Primavera Data Warehouse on-premises software.","Syncing Cloud and On-Premises Data","84278.htm");
Page[60]=new Array("Complete the following sequence to sync P6 EPPM cloud data (source) to your on-premises (target) data:","Prerequisites to Sync P6 Cloud and On-Premises Data","Configuring the Sync Environment for P6 EPPM Cloud to On-Premises for Primavera Data Warehouse ","Configuring and Running P6 EPPM Publication Services from Analytics Web Application","Syncing P6 EPPM Data from Cloud to On-Premises","84386.htm");
Page[61]=new Array("Before proceeding with the sync setup, choose one of the following:","Initial Sync","Incremental Sync after Dump Restoration","Initial Sync is recommended for only small databases where number of Projects is less than 100. Otherwise, choose Database dump restoration and Incremental Sync.","Initial P6 Sync Prerequisites","Create an empty P6 database (Target) on an Oracle 12c database instance.","Contact Oracle Support to:","Request Server sync to be configured in the cloud and get details of URL to access WebLogic Sync server and its authentication information. Also get the property values for sync.name and sync.number given in the client_send.properties file while configuring the server.","Ensure that the optin.project_mode property is set to 'PX' in the client_send.properties file.","Set JAVA_HOME to the supported version. For more details see client Requirements document. ","Database Dump Prerequisites","Contact Oracle Support to request for backup dump file of your source P6 database.","Import the provided P6 source admuser database dumpfile in P6 Target database (on-premises).","Contact Oracle Support: ","Request Server sync to be configured in the cloud and get details of URL to access Weblogic Sync server and its authentication information. Also get the property values for sync.name and sync.number given in the client_send.properties file while configuring server.","Ensure that the optin.project_mode property is set to INCRPX' in the client_send.properties file.","Set the JAVA_HOME to the supported version. For more details see client Requirements document.","Prerequisites to Sync P6 Cloud and On-Premises Data","84290.htm");
Page[62]=new Array("To receive P6 EPPM cloud data: :","Contact Oracle Support with a service request to enable Primavera Analytics Cloud Sync.","Note: To use Primavera Analytics Cloud Sync, you must have a license for Primavera Analytics on-premises or Primavera Data Warehouse on-premises software.","When the service request is completed, download sync-client.zip from the Cloud portal landing page.","Extract sync-client.zip.","(Initial sync only) From the sync-client directory execute the clear_all_p6.sql script against the target P6 admuser schema.","For Unix or Linux systems, update permissions on .sh files using the following command.","$ chmod u+x *.sh","To receive data from the cloud, edit client_receive.properties in the sync-client directory with the following information:","sync mode = CLIENT This information is pre-populated.","sync type = RECEIVER This information is pre-populated.","sync.name=&lt;Name of the sync&gt; A unique sync name pre-populated to identify the sync configuration. For example, p6clouddata_receiver.","sync.number=This number is pre-populated.","target.db.host=The host name (or IP) of the machine on which the P6 target database is hosted. For example, localhost.","target.db.port=The port number for the Oracle instance on which P6 target database is created. For example, 1521.","target.db.service=The service name of the Oracle instance on which P6 target database is created. For example, pdborcl.","target.db.type=P6. .","target.db.schema=Database username of the admin user (admuser) of P6 target database. ","target.db.syncuser=The username of sync-client database schema that will be created on same Oracle instance as the P6 target database. It should not be the name of an existing schema, as this schema will be created during setup. This schema user must contain an underscore (&quot;_&quot;) character. For example, t_syncuser.","target.db.sysuser=The name of the sysdba user. For example, sys.","server.base_url=The URL of the WebLogic server sync rest service received from Cloud support. This URL is pre-populated. For example, http://&lt;hostname&gt;:&lt;port#&gt;/sync/rest.","server.connectuser= The username of a user who has permissions to create sync configurations. For example, weblogic or admin. This user is pre-populated. ","Save client_receive.properties.","Run syncsetup.cmd or syncsetup.sh to create and configure the database schema for the sync process.","$ ./syncsetup.sh client_receive.properties ","Enter passwords for the following users:","syncuser (target.db.syncuser)&nbsp;","The sysdba user on that same Oracle instance (target.db.sysuser)","The admin user for the P6 target database schema (target.db.schema)","The web user who will insert the configuration into the sync configuration (server.connectuser)","The process creates the t_syncuser database schema (target.db.syncuser).","After the process completes, enter the password of syncadmin user. This is the user credential for local Jetty server. Subsequent processes will use this credential to communicate with the server.","Start the sync client server.","$ . /startserver .sh","Server startup will take up to a minute. If you load the configuration without starting the server, you will get an error.","Load the sync and receive the configuration into the sync client server:","$ . /commander .sh LOAD client_receive.properties","Re-enter the passwords for P6 database admin user (source.db.schema) and server connection user (server.connectuser).","The sync client should now start syncing with the sync microservice.","To check if the sync process is running, use any of the following options:","See server.log in the sync-client/log folder.","Connect as T_SYNCUSER, and check the sync progress from the database. Execute the following:","To see details of the file posted successfully to the database:","select * from sync_config;","To get an update of the global tables being synced and the status of the sync process for each specific table. ","select * from sync_control;","The entry_value column status changes from New to Complete. No records are present in this table as the target schema details are on the client side.","To display all the projects registered to be synced:","select * from sync_whitelist;","Synced projects will have a Status of Sent and projects waiting to be synced will have a Status of New. No records are present in this table as the target schema details are on the client side. ","To view the blob records corresponding to source admuser schema:","select * from sync_transfer_data;","The status of the record changes from Receiving, Received, Applying, and finally to Applied. After the record status is Applied, check the corresponding data in target admuser schema.","To load cloud sync data to Primavera Data Warehouse on-premises database:","Publish the data into P6 tables by:","Configuring and Running P6 EPPM Publication Services from P6 ","or","Configuring and Running P6 EPPM Publication Services from Analytics Web Application","Run the ETL to load the data into your on-premises Primavera Data Warehouse database.","Configuring the Sync Environment for P6 EPPM Cloud to On-Premises for Primavera Data Warehouse","84289.htm");
Page[63]=new Array("To publish P6 data to the extended schema: ","Get the p6services.jar file from the P6 build.","Run the following command:","java -jar &quot;Path to p6services.jar&quot;","Select Oracle or Microsoft SQL Server from the Database Type list.","Enter the following database details: database username, publication user username, password, and database service.","Select Next.","In the P6 target database, execute the following  as ADMUSER:","Ensure that last_update_date is null for all projects that are considered for publishing (PX_ENABLE_PUBLICATION_FLAG = 'Y'). If not, update them as follows:","update project set px_last_update_date = null WHERE PX_ENABLE_PUBLICATION_FLAG = 'Y'; commit;","Ensure that setting_value has the maximum Project ID for setting_name= 'ProjectNonDemandStopKey'.","update SETTINGS set Setting_value = (select max(proj_id) from project) where Namespace = 'PxService.Project.Arbiter' and Setting_name = 'ProjectNonDemandStopKey'; commit;","Ensure that the P6 target database, to which data is synced, is added as a source to the Primavera Data Warehouse.","To enable Publication Services view on Webapp, execute the following query in the STAR database as STARUSER:","UPDATE ETL_PARAMETER SET P_1='true' WHERE P_FEATURE='db.pmdb.cloud'; commit;","Publishing P6 Data to Extended Schema","84300.htm");
Page[64]=new Array("Complete the following sequence to sync Unifier cloud data (source) to your on-premises (target) data:","Prerequisites to Sync Unifier Cloud and On-Premises Data","Configuring Sync Environment for Unifier Cloud and On-Premises","Syncing Unifier Data from Cloud to On-Premises","84387.htm");
Page[65]=new Array("Download sync-client.zip from the Cloud portal landing page.","Create an empty Unifier database (target) on an Oracle 12c database instance.","If there is no existing target database, create an empty Unifier database using the unifier_sys_stg_tables.sql following the instructions provided in the SQL script. The unifier_sys_stg_tables.sql is located in sync_client.zip.","Connect to the target Unifier schema with sys user and run the following command ","grant select on sys.GV_$TRANSACTION to &lt;Target unifier schema&gt;;","Execute auditing_schema_changes_unifier.sql in the Unifier target schema. The script is located in sync_client.zip.","Contact Cloud Support to:","Request server sync to be configured in the cloud.","Get details of the URL to access Weblogic sync server and it's authentication information.","Get the property values for sync.name and sync.number given in client_send.properties while configuring server.","Set JAVA_HOME to Java 1.8.","Prerequisites to Sync Unifier Cloud and On-Premises Data","84388.htm");
Page[66]=new Array("To receive data from the cloud to an on-premises database, setup and configure client_receive.properties as follows:","Extract sync-client.zip.","$ unzip sync_client.zip","$ cd sync_client","If the target Unifier database exists and is not empty, then execute clear_all_unifier.sql from current directory against the target Unifier schema.","Unzip sync-client.zip available in the present working directory and enter the resulting sync-client directory.","$ unzip sync-client.zip","$ cd sync-client","If on a Unix or Linux system, set the executable flag on the shell scripts.","$ chmod u+x *.sh","To receive data from the cloud to an on-premises database, edit client_receive.properties as follows:","sync mode: CLIENT This information is pre-populated.","sync type:  RECEIVER This information is pre-populated.","sync.name: A unique sync name to identify the sync configuration. Obtain this information when you contact Oracle Support. For more details, see Prerequisites to Sync Unifier Cloud and On-Premises Data..","sync.number: The number of the sync configured in the sync server. Obtain this information when you contact Oracle Support. For more details, see Prerequisites to Sync Unifier Cloud and On-Premises Data.","target.db.host: The host name (or IP) of the machine on which the Unifier target database is hosted. For example, localhost.","target.db.port: The port number for the Oracle instance on which Unifier target database is created. For example, 1521.","target.db.service: The service name of the Oracle instance on which Unifier target database is created. For example, pdborcl.","target.db.type=UNIFIER","target.db.schema=Database username of the Unifier target database. ","target.db.syncuser=The username of the sync-client database schema that will be created on same Oracle instance as the Unifier target database. It should not be the name of an existing schema, as this schema will be created during setup. This schema user must contain an underscore (&quot;_&quot;) character. For example, t_syncuser.","target.db.sysuser=The name of the sysdba user. For example, SYS.","server.base_url=The URL of the WebLogic server sync rest service received from Cloud support. Obtain this information when you contact Oracle Support. For more details, see Prerequisites to Sync Unifier Cloud and On-Premises Data. For example, http://&lt;hostname&gt;:&lt;port#&gt;/sync/rest-service.","server.connectuser= The user name who has permissions to create sync configurations. For example, weblogic or admin. Obtain this information when you contact Oracle Support.","Save client_receive.properties.","Run syncsetup.cmd or syncsetup.sh to create and configure the database schema for the sync process:","$ ./syncsetup.sh client_receive.properties ","Enter passwords for the following users:","syncuser (target.db.syncuser)&nbsp;","The sysdba user on that same Oracle instance (target.db.sysuser)","The admin user for the Unifier target database schema (target.db.schema)","The web user who will insert the configuration into the sync configuration (server.connectuser)","The process creates the t_syncuser database schema (target.db.syncuser).","After the process completes, enter the password of syncadmin user. This is the user credential for local Jetty server. Subsequent processes will use this credential to communicate with the server.","Start the sync client server.","$ . /startserver.sh","Note: Server startup will take up to a minute. If you load the configuration without starting the server, you will get an error.","Load the sync and receive the configuration into the sync client server.","$./commander.sh LOAD client_receive.properties","Re-enter the passwords for Unifier database user (source.db.schema) and server connection user (server.connectuser).","The sync client should now start syncing with the sync microservice.","To check if the sync process is running, use any of the following options:","See server.log in the sync-client/log folder or","Connect as T_SYNCUSER, and check the sync progress from the database.","To see details of the file posted successfully to the database, execute select * from sync_config;","To get an update of the global tables being synced and the status of the sync process for each specific table,execute select * from sync_control;","The entry_value column status changes from New to Complete. No records are present in this table as the target schema details are on the client side.","To display all the projects registered to be synced, execute select * from sync_whitelist;","Synced projects will have a Status of Sent and projects waiting to be synced will have a Status of New. No records are present in this table as the target schema details are on the client side. ","To view the blob records corresponding to the source schema, execute select * from sync_transfer_data;","The status of the record changes from Receiving, Received, Applying, and finally to Applied. After the record status is Applied, check the corresponding data in target schema.","Configuring Sync Environment for Unifier Cloud and On-Premises","84389.htm");
Page[67]=new Array("Before proceeding with the sync setup, choose one of the following:","Initial Sync","Incremental Sync after Dump Restoration","Initial sync is recommended for only small databases where number of projects is less than 100. Otherwise, choose incremental sync after database dump restoration.","Initial Sync Prerequisites","Complete the following prerequisites:","Create a P6 database (source) with data on an Oracle 12c database instance.","Enable full auditing in the P6 source database by calling the following procedure: exec auditing_enable(null,3);","Set JAVA_HOME to the supported version. For more details, see the Client Requirements document.","Incremental Sync after Database Dump Restoration","Complete the following prerequisites:","A P6 database (source) with data created on an Oracle 12c database instance.","Enable full auditing in the P6 (source) database by calling the following procedure: exec auditing_enable(null,3);","Export the P6 database (including all users) from p6 source database and note down the database export timestamp.","Share the P6 database dump file to on-premise environment.","Full auditing enabled in the P6 source database by calling the following procedure: exec auditing_enable(null,3);","Set JAVA_HOME to the supported version. For more details, see the Client Requirements document.","Prerequisites","85139.htm");
Page[68]=new Array("To send P6 EPPM on-premises data using incremental sync after dump restoration:","Contact Oracle Support with a service request to enable Primavera Analytics Cloud Sync.","Note: To use Primavera Analytics Cloud Sync, you must have a license for Primavera Analytics on-premises or Primavera Data Warehouse on-premises software.","When the service request is completed, download sync_client.zip from the Cloud portal landing page.","Extract sync_client.zip and enter the sync_client directory.","$ unzip sync_client.zip","$ cd sync_client.","Extract sync-client.zip and enter the sync-client directory.","$ unzip sync-client.zip","$ cd sync-client.","For Unix or Linux systems, update permissions on .sh files using the following command.","$ chmod u+x *.sh","To send on-premises data, edit client_send.properties in the sync-client directory with the following information:","sync mode = CLIENT ","sync type = SENDER ","sync.name=&lt;Name of the sync&gt; A unique sync name pre-populated to identify the sync configuration. For example, p6clouddata_receiver.","sync.number= This number is pre-populated.","source.db.host= The host name (or IP) of the machine on which the P6 source database is hosted. For example, localhost.","source.db.port= The port number for the Oracle instance on which P6 source database is created. For example, 1521.","source.db.service= The service name of the Oracle instance on which P6 source database is created. For example, pdborcl.","source.db.type=P6. .","source.db.schema= Database user name of the admin user (admuser) of P6 source database. ","source.db.syncuser= The username of sync-client database schema that will be created on same Oracle instance as the P6 source database. It should not be the name of an existing schema, as this schema will be created during setup. This schema user must contain an underscore (&quot;_&quot;) character. For example, t_syncuser.","source.db.sysuser= The name of the sysdba user. For example, sys.","server.base_url= The URL of the WebLogic server sync rest service received from Cloud support. This URL is pre-populated. For example, http://&lt;hostname&gt;:&lt;port#&gt;/sync/rest-service.","server.connectuser= The username of a user who has permissions to create sync configurations. For example, weblogic or admin. This user is pre-populated. ","optin.project_mode= The P6 projects to be synced. Values can be PX, CODE, or UDF.","For incremental sync, values can be INCRPX, INCRCODE, or INCRUDF.","optin.project_value= Enter Y when optin.project_mode is set to PX, or INCRPX.","Respective CODE column name for which the anticipated CODE VALUE is &quot;SEND&quot; should be provided when optin.project_mode = &quot;CODE or INCRCODE&quot;.","Respective UDF column name for which the anticipated UDF VALUE is &quot;SEND&quot; should be provided when optin.project_mode = &quot;UDF or INCRUDF&quot;. ","Save client_sender.properties.","Run syncsetup.cmd or syncsetup.sh to create and configure the database schema for the sync process:","$ ./syncsetup.sh client_send.properties ","Enter passwords for the following users:","syncuser (source.db.syncuser)&nbsp;","The sysdba user on that same Oracle instance (source.db.sysuser)","The admin user for the P6 target database schema (source.db.schema)","The web user who will insert the configuration into the sync configuration (server.connectuser)","The process creates the t_syncuser database schema (source.db.syncuser).","After the process completes, enter the password of syncadmin user. This is the user credential for local Jetty server. Subsequent processes will use this credential to communicate with the server.","Start the sync client server.","$ . /startserver.sh","Note: Server startup will take up to a minute. If you load the configuration without starting the server, you will get an error.","Load the sync and receive the configuration into the sync client server.","$./commander.sh LOAD client_send.properties","Re-enter the passwords for P6 database user (source.db.schema) and server connection user (server.connectuser).","The sync client should now start syncing with the sync microservice.","To check if the sync process is running, use any of the following options:","See server.log in the sync-client/log folder or","Connect as T_SYNCUSER, and check the sync progress from the database.","To see details of the file posted successfully to the database, execute select * from sync_config;","To get an update of the global tables being synced and the status of the sync process for each specific table,execute select * from sync_control;","The entry_value column status changes from New to Complete. No records are present in this table as the target schema details are on the client side.","To display all the projects registered to be synced, execute select * from sync_whitelist;","Synced projects will have a Status of Sent and projects waiting to be synced will have a Status of New. No records are present in this table as the target schema details are on the client side. ","To view the blob records corresponding to the source schema, execute select * from sync_transfer_data;","The status of the record changes from Receiving, Received, Applying, and finally to Applied. After the record status is Applied, check the corresponding data in target schema.","Configuring the Sync Environment for P6 EPPM On-Premises to Cloud","85140.htm");
Page[69]=new Array("If you chose to only run incremental sync and skip the initial sync with database restoration:","Update the database exported timestamp in the sync_control table of T_SYNCUSER schema and post the config.","Data is loaded into sync_config, sync_control, sync_whitelist, and sync_transfer_data tables.","Ensure data is loaded to the sync_control table in T_SYNCUSER schema.","Check for rows with ENTRY_NAME = next.timestamp and safe.timestamp.","After data loaded to sync_control table, stop the Jetty server: ./stopserver.sh","Execute the following query to update the next timestamp value and commit.","update sync_control set entry_value=&lt;DATA BASE EXPORTED TIMESTAMP&gt; where entry_name='next.timestamp'; ","Note: Timestamp format should be in 'YYYY-MM-DD HH:MM:SS'","Restart the Jetty server: ./startserver.sh -u","This process will fetch only those records from the paudit table in the source schema which are updated after the database exported timestamp.","Syncing P6 On-Premises Data to Cloud Using Only Incremental Sync","85141.htm");
Page[70]=new Array("Complete the following sequence to sync Unifier on-premises data (source) to cloud (target):","Prerequisites","Configuring the Sync environment for Unifier on-premises to cloud","Syncing Unifier Data from On-Premises to Cloud","85151.htm");
Page[71]=new Array("Complete the following prerequisites:","Create a Unifier database (source) on an Oracle 12c database instance.","Execute the audit_schema_changes_unifier.sql script in the source schema. The script is located in sync_client.zip.","Enable full auditing in the unifier source by executing the auditing_enable_unifier.sql script in unifier source schema. The script is located in sync_client.zip.","Connect to source unifier schema as sys user and run the following command: ","grant select on sys.GV_$TRANSACTION to &lt;Source unifier schema&gt;;","Set JAVA_HOME to the installation directory containing a supported version of JDK. For more details, see the Client Requirements document. ","Prerequisites","85152.htm");
Page[72]=new Array("To send Unifier on-premises data to cloud using initial sync:","Contact Oracle Support with a service request to enable Unifier Cloud Sync.","Note: To use Unifier Cloud Sync, you must have a license for Primavera Analytics on-premises or Primavera Data Warehouse on-premises software.","When the service request is completed, download sync_client.zip from the cloud portal landing page.","Extract sync_client.zip and enter the sync_client directory.","$ unzip sync_client.zip","$ cd sync_client","In the present working directory, extract sync-client.zip and enter the sync-client directory.","$ unzip sync-client.zip","$ cd sync-client","For Unix or Linux systems, update permissions on .sh files using the following command.","$ chmod u+x *.sh","To send on-premises data, edit client_send.properties in the sync-client directory with the following information:","sync mode = CLIENT ","sync type = SENDER ","sync.name=&lt;Name of the sync&gt; A unique sync name pre-populated to identify the sync configuration. The sync name must match the corresponding property value set in the server_receive.properties file. Contact Oracle Support to obtain the property value. For example, unifierclouddata_receiver.","sync.number= This number is pre-populated. The sync number must match the corresponding property value set in the server_receive.properties file. Contact Oracle Support to obtain the property value.","source.db.host= The host name (or IP) of the machine on which the Unifier source database is hosted. For example, localhost.","source.db.port= The port number for the Oracle instance on which Unifier source database is created. For example, 1521.","source.db.service= The service name of the Oracle instance on which Unifier source database is created. For example, pdborcl.","source.db.type=Unifier .","source.db.schema= User name of the Unifier source database. ","source.db.syncuser= The username of sync-client database schema that will be created on same Oracle instance as the Unifier source database. It should not be the name of an existing schema, as this schema will be created during setup. This schema user must contain an underscore (&quot;_&quot;) character. For example, t_syncuser.","source.db.sysuser= The name of the sysdba user. For example, sys.","server.base_url= The URL of the WebLogic server sync rest service received from Cloud support. This URL is pre-populated. For example, http://&lt;hostname&gt;:&lt;port#&gt;/sync/rest-service.","server.connectuser= The username of a user who has permissions to create sync configurations. For example, weblogic or admin. This user is pre-populated. ","Save client_send.properties.","Run syncsetup.cmd or syncsetup.sh to create and configure the database schema for the sync process:","$ ./syncsetup.sh client_send.properties ","Enter passwords for the following users:","syncuser (source.db.syncuser)&nbsp;","The sysdba user on that same Oracle instance (source.db.sysuser)","The user name of the Unifier source database (source.db.schema)","The web user who will insert the configuration into the sync configuration (server.connectuser)","The process creates the t_syncuser database schema (source.db.syncuser).","After the process completes, enter the password of syncadmin user. This is the user credential for local Jetty server. Subsequent processes will use this credential to communicate with the server.","Start the sync client server.","$ . /startserver.sh","Note: Server startup will take up to a minute. If you load the configuration without starting the server, you will get an error.","Load the sync and receive the configuration into the sync client server.","$./commander.sh LOAD client_send.properties","Re-enter the passwords for Unifier source database user (source.db.schema) and server connection user (server.connectuser).","The sync client starts syncing with the sync microservice.","To check if the sync process is running, use any of the following options:","See server.log in the sync-client/log folder or","Connect as T_SYNCUSER, and check the sync progress from the database.","To see details of the file posted successfully to the database, execute select * from sync_config;","To get an update of the global tables being synced and the status of the sync process for each specific table,execute select * from sync_control;","The entry_value column status changes from New to Complete. No records are present in this table as the target schema details are on the client side.","To display all the projects registered to be synced, execute select * from sync_whitelist;","Synced projects will have a Status of Sent and projects waiting to be synced will have a Status of New. ","To view the blob records corresponding to the source schema, execute select * from sync_transfer_data;","The status of the record changes from Receiving, Received, Applying, and finally to Applied. After the record status is Applied, check the corresponding data in target schema.","Configuring the Sync Environment for Unifier On-Premises to Cloud","85153.htm");
Page[73]=new Array("EmbeddedTopicstartCopyright © 2016, 2020, Oracle and/or its affiliates. All rights reserved.<br />Oracle and Java are registered trademarks of Oracle and/or its affiliates. Other names may be trademarks of their respective owners.","Intel and Intel Inside are trademarks or registered trademarks of Intel Corporation. All SPARC trademarks are used under license and are trademarks or registered trademarks of SPARC International, Inc. AMD, Opteron, the AMD logo, and the AMD Opteron logo are trademarks or registered trademarks of Advanced Micro Devices. UNIX is a registered trademark of The Open Group.EmbeddedTopicend","This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited.","The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.","If this is software or related documentation that is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable: ","U.S. GOVERNMENT END USERS: Oracle programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, delivered to U.S. Government end users are &#8220;commercial computer software&quot; pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, shall be subject to license terms and license restrictions applicable to the programs. No other rights are granted to the U.S. Government.","This software or hardware is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications that may create a risk of personal injury. If you use this software or hardware in dangerous applications, then you shall be responsible to take all appropriate failsafe, backup, redundancy, and other measures to ensure its safe use. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software or hardware in dangerous applications.","This software or hardware and documentation may provide access to or information on content, products and services from third-parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.","Legal Notices","46576.htm");
var PageCount=74;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
// Result+='<script type="text/javascript" src="styleswitcher.js"></script>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css"  title="default"/>\n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="stylesheetcontrast.css"  title="contrast"/>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" href="docsstylesheet.css"  type="text/css" title="default"/> \n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="docsstylesheetcontrast.css" title="contrast"/>\n';
Result+="</head>\n";
Result+="<body class='searchcontents' onload='javascript:document.SearchForm.SearchText.focus();if(typeof ondoc() === 'function') {ondoc();}'>\n"; 
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}