﻿/* Generated with Author-it 6.4.3.37098  10/6/2021 12:16:45 PM */
Page=new Array();Page[0]=new Array("This guide will tell you how to complete administration tasks in Cloud Administration.","Within our documentation, some content might be specific for cloud deployments using Oracle Identity Manager (OIM) while other content is relevant for cloud deployments on Identity Cloud Service (IDCS). Any content that applies to only one of these deployments is labeled accordingly.","About the Cloud Administration Identity Management Administration Guide","141597.htm");
Page[1]=new Array("Cloud Services may be deployed with Oracle Identity Management (OIM) or with Identity Cloud Service (IDCS). Both these systems are identity management systems and are used to ensure that your users are able to access your Cloud Service applications securely.","To determine which identity management system you are using:","Navigate to the Cloud Portal.","If the Supporting Applications pane includes a link to Oracle Identity Management, your deployment is using OIM.","If the Supporting Applications pane includes a link to Identity Cloud Service, your deployment is using IDCS.","About OIM (Oracle Identity Management) and IDCS (Identity Cloud Service)","141609.htm");
Page[2]=new Array("Consent notices inform users how personally identifiable information (PII) is collected, processed, stored, and transmitted, along with details related to applicable regulations and policies. Consent notices also alert users that the action they are taking may risk exposing PII. Cloud Administration helps you to ensure that you have requested the appropriate consent to collect, process, store, and transmit the PII your organization holds as part of Cloud Administration data.","Consent notices should:","be written in clear language which is easy to understand.","provide the right level of detail.","identify the purpose and legal basis for your collection, processing, storage, and transmission of PII.","identify whether data will be transferred to named third parties.","identify PII categories and list the data which will be collected, processed, stored, and transmitted.","About Consent Notices","141453.htm");
Page[3]=new Array("Personal information (PI) is any piece of data which can be used on its own or with other information to identify, contact, or locate an individual or identify an individual in context. This information is not limited to a person's name, address, and contact details. For example a person's IP address, phone IMEI number, gender, and location at a particular time could all be personally identifiable information. Depending on local data protection laws, organizations may be responsible for ensuring the privacy of PI wherever it is stored, including in backups, locally stored downloads, and data stored in development environments.","About Personal Information","141454.htm");
Page[4]=new Array("When using Cloud Administration, the server may generate cookies and send them to the user's browser. The user's machine stores the cookies, either temporarily by the browser, or permanently until they expire or are removed manually.","Oracle might use cookies for authentication, session management, remembering application behavior preferences and performance characteristics, and to provide documentation support.","Also, Oracle might use cookies to remember your log-in details, collect statistics to optimize site functionality, and deliver marketing based on your interests.","Cookies Usage in Cloud Administration","141456.htm");
Page[5]=new Array("Information security and privacy laws can carry heavy penalties and fines for organizations which do not adequately protect PII they gather and store. If these laws apply to your organization, it is your responsibility to configure consent notices before they are required. You should work with your data security and legal teams to determine the wording of the consent notices you will configure in Cloud Administration.","If a consent notice is declined, it is your responsibility to take any necessary action. For example, you may be required to ensure that the data is not stored or shared.","Your Responsibilities","141455.htm");
Page[6]=new Array("PI may be visible in multiple areas of Cloud Administration, including but not limited to the user administration, company administration, and password policy administration.","PI may be at risk of exposure in multiple areas of Cloud Administration, including but not limited to user export, web services, the API, and DACS.","As part of Cloud Administration, you may be using Oracle Identity Cloud Service (&#8220;Oracle IDCS&#8221;) to manage your user access and entitlements across a number of cloud and on-premises applications and services. If you are using or accessing Oracle IDCS, you are responsible for deleting your details and data from the Oracle IDCS environment. You are responsible for retrieving your content in Oracle IDCS during your applicable services period.","Personal Information (PI) Data in Cloud Administration","141457.htm");
Page[7]=new Array("To configure consent notices for Cloud Administration:","On the EmbeddedTopicstartEmbeddedTopicstartEmbeddedTopicend Consent SettingsEmbeddedTopicend tab:","In the Consent Message field, enter the text of the consent notice.","Note: Work with your data security and legal teams to determine the wording of the consent notice.","Toggle the Enable Consent Notice setting to activate the consent notice field.","Note: If you change the text of an already configured consent notice, consent status for all users is reset to Pending and all users will be presented with the new text of the consent notices next time they log in.","Configure Consent Notices for Cloud Administration","141458.htm");
Page[8]=new Array("You can see the status of consent acceptance for users.","To audit consent status for Cloud Administration:","On the EmbeddedTopicstartEmbeddedTopicstartEmbeddedTopicend Consent SettingsEmbeddedTopicend tab, in the User Acceptance area:","View the consent status for each user in the Status column.","View the date and time when the status was most recently changed in the Last Modified column.","Click a column heading to order the user acceptance table by that data item.","Audit Consent Notices for Cloud Administration","141459.htm");
Page[9]=new Array("The Notifications list shows your activities in Cloud Administration. Typically, Cloud Administration creates a notification any time you attempt to save table changes.","To view the Notifications list, click EmbeddedTopicstartView NotificationsEmbeddedTopicend at the upper right of the screen.","Note: You can only view notifications for the activities of the current user account.","About Notifications","96252.htm");
Page[10]=new Array("The User Administration table in Cloud Administration enables you to manage user accounts for your Cloud Service applications. You can add user accounts one at a time or import them in bulk. You can also edit the fields associated with a user account. ","Click theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab to view the User Administration table.","Manage User Accounts","95312.htm");
Page[11]=new Array("By default, the User Administration table displays all user accounts. See About User Administration Table Filters for details on applying filters to control the users accounts that appear.","Each row in the User Administration table represents a single user account. The User Administration table includes the following columns:","Last Name: The last name of the user.","First Name: The first name of the user.","Email: The email address of the user.","User Name: The user name of the user account.","Company: The company to which the user account belongs.","User Type: The type of user in the system. (OIM Only)","Application Access: The applications that users are permitted to access.","Date and Time Added: The date and time on which the user was successfully created. The date format is Month/Date/Year.","Added By: The user name of the cloud administrator that created the user.","Last Action: The last action applied to the user as well as the date of the action. The format of the date is Month/Date/Year.","See Customize the User Administration Table for details on adding, removing, or rearranging columns.","About the User Administration Table","96253.htm");
Page[12]=new Array("You can customize the User Administration table by adding, removing, or rearranging columns. ","Note: EmbeddedTopicstartRequired fields (including Last Name, First Name, Company, Email, User Name, and User Type) cannot be removed from the User Administration table.EmbeddedTopicend","Customize the User Administration Table","100892.htm");
Page[13]=new Array("To add columns to the User Administration table:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend SettingsEmbeddedTopicend.","In the Available Columns pane, select one or more columns that you want to add to the User Administration table.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add to selected columnEmbeddedTopicend.","Click Apply.","Alternatively, you can double-click a column in the Available Columns pane to immediately add it.","Add Columns","100897.htm");
Page[14]=new Array("Note: EmbeddedTopicstartRequired fields (including Last Name, First Name, Company, Email, User Name, and User Type) cannot be removed from the User Administration table.EmbeddedTopicend If you multi-select a required field in addition to other fields that you want to remove, theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Remove from selected columnEmbeddedTopicend button will be disabled. To re-enable the button, you must deselect the required fields.","To remove columns from the table:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend SettingsEmbeddedTopicend.","In the Selected Columns pane, select one or more columns that you want to remove from your view of the table.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Remove from selected columnEmbeddedTopicend.","Click Apply.","Alternatively, you can double-click a column in the Selected Columns pane to immediately remove it.","Remove Columns","100898.htm");
Page[15]=new Array("You can rearrange the columns in the table.","To rearrange column using the Settings dialog box:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend SettingsEmbeddedTopicend.","In Selected Columns, select one or more columns.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Move DownEmbeddedTopicend orEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Move UpEmbeddedTopicend.","Click Apply.","To rearrange columns by dragging:","On the table, click and hold the header of a column.","Drag the column to a new location in the table.","Rearrange Columns","100896.htm");
Page[16]=new Array("By default, the User Administration table displays all user accounts for the companies managed by the current cloud administrator. Use the Filter field to apply one or more filters and control the user accounts that appear.","Note: If you have more than one filter applied, click Only for a filter to remove all other filters.","The following filters are available:","Enabled: Displays users whose account is enabled. ","No Access: Displays users who have not been assigned access to any application. ","Modified: Displays users whose accounts have been modified in the current session of Cloud Administration, including new users that have not been saved.","Locked: Displays users whose account has been locked. See Unlocking User Accounts for details.","Disabled: Displays users whose account is disabled. Disabled users cannot log in to any Cloud Service applications.","About User Administration Table Filters","100893.htm");
Page[17]=new Array("Use Cloud Administration to add individual user accounts.","To add single user accounts:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add a new userEmbeddedTopicend.","In the Last Name field, enter the user's last name.","In the First Name field, enter the user's first name.","In the Email field, enter the user's email address.","In the Username field, enter the user name for the user account.","In the Company field, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend SelectEmbeddedTopicend and select a company for the user account.","In the User Type field, click the list and select the user type for each account. (OIM only)","In the Application Access field, triple-clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend SelectEmbeddedTopicend and do the following:","Note: This step is optional. You can assign application access later.","In the Available pane, select the application assignments for the user account. Hold down the Control key and click to select more than one application.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add to selected columnEmbeddedTopicend.","Click Apply.","Repeat these steps for each user account you want to add.","Do one of the following:","Click Save to commit your changes and save your users.","Click Export Changes to save a CSV file (Create_User_&lt;date&gt;.csv) in your Downloads folder. No users are saved at this time. You can import the CSV file and save your users later.","Notes: ","EmbeddedTopicstartIf user creation fails, one reason might be that you have exceeded your Primavera Unifier license limits. See &quot;Working with the License Manager&quot; in the Primavera Unifier Help for details.EmbeddedTopicend","EmbeddedTopicstartAfter creating a user account, you must reset that password for the account. If your deployment uses IDCS, resetting a password sends the user an email with a link to allow them to change their own password. If your deployment uses OIM, resetting a password notifies the user about their new account and provides them a temporary password. On logging in with the temporary password, the user is prompted to change the password and set challenge questions.EmbeddedTopicend See Reset Passwords for details.","Add Single User Accounts","95315.htm");
Page[18]=new Array("Use an import template to add multiple user accounts to your cloud environment. You can either import a custom import template or a CSV file created from a previous session.","The import template is a CSV file that you can download from Cloud Administration. After you add information on your users accounts to the template, you can import that information to the User Administration table. ","Use the following topics to add multiple user accounts:","Create an Import Template","Import User Accounts","Reset Passwords","Add Multiple User Accounts","95319.htm");
Page[19]=new Array("You can download the import template from Cloud Administration. The import template contains the following columns:","Last Name","First Name","Email","Username","Company","User Type (OIM only)","Application Assignment Columns: When you download the import template, you select the application assignments that you want to include in the template. The import template contains a column for application assignment you select. Each application assignment column is prefixed with #R# (for examples, #R#BI Authors).","Caution: Do not modify the header row of the import template. Modifying the header row will produce unpredictable results when you import users to Cloud Administration.","To create an import template:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, clickEmbeddedTopicstart Actions EmbeddedTopicstartEmbeddedTopicendEmbeddedTopicend and select Download Import Template.","In the of the Select Application Access dialog box, in the Available pane, select the application assignments that you want to include in the template. Hold down the Control key and click to select more than one application assignment.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add to selected columnEmbeddedTopicend.","Click Select.","Save the template locally and open it. ","Note: The default name of the import template is User_Import_Template.csv.","Enter the following information for each user account:","Last Name: The user's last name.","First Name: The user's first name.","Email: The user's email address.","Username: The user name for the user account.","Company: The company for the user account.","User Type: The user type for the user account. (OIM only)","In the application assignment fields, enter Y or Yes to assign application access to the user account.","If you do not want to assign application access, leave these fields empty. You can assign application access later.","Repeat steps 6 and 7 for each user you want to add.","Save and close the template.","Create an Import Template","96273.htm");
Page[20]=new Array("When you export the user list, all the columns on the User Administration page are exported. Two extra columns are also exported:","Locked: Shows whether the account is locked, for example following a failure to authenticate the password.","Active: Shows whether the account is disabled.","To export a list of all users to a CSV file:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, clickEmbeddedTopicstart Actions EmbeddedTopicstartEmbeddedTopicendEmbeddedTopicend and select Export All Users.","Export a List of Users","141585.htm");
Page[21]=new Array("To import user accounts:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, clickEmbeddedTopicstart Actions EmbeddedTopicstartEmbeddedTopicendEmbeddedTopicend and select Import Users.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend BrowseEmbeddedTopicend and select the import template.","Note: The default name of the import template is User_Import_Template.csv.","Click OK.","Review the User Administration table to ensure there are no errors.","Click Save.","Notes: ","EmbeddedTopicstartIf user creation fails, one reason might be that you have exceeded your Primavera Unifier license limits. See &quot;Working with the License Manager&quot; in the Primavera Unifier Help for details.EmbeddedTopicend","EmbeddedTopicstartAfter creating a user account, you must reset that password for the account. If your deployment uses IDCS, resetting a password sends the user an email with a link to allow them to change their own password. If your deployment uses OIM, resetting a password notifies the user about their new account and provides them a temporary password. On logging in with the temporary password, the user is prompted to change the password and set challenge questions.EmbeddedTopicend See Resetting Passwords for details.","Import User Accounts","96287.htm");
Page[22]=new Array("User accounts cannot be deleted from Cloud Services. Instead, you can disable a user account to block access to the Cloud Portal and Cloud Service applications. See Disabling User Accounts for details.","Delete a User Account","96279.htm");
Page[23]=new Array("You can modify the following fields for a user account in the User Administration table:","First Name","Last Name","Email","Application Access","Company","Notes: ","To modify a user name, submit a Service Request to My Oracle Support. See Actions that Require Service Requests for details.","Modify a User Account","103686.htm");
Page[24]=new Array("Assigning application access is the process by which you authorize specific employees in your company to access specific Cloud Service applications. User accounts that are not assigned access cannot use Cloud Service applications.","Note: In addition to being assigned access to one or more Cloud Service applications, application-specific security assignments must be provided for your user accounts in the target application. See the Administration Guide for your Cloud Service application for details. ","The following access types are available for each Cloud Services application:","BI","BI Production Authors: Users have access to BI Publisher and can create, run, and view all of the reports that were made available to their folders.","BI Production Consumers: Users have access to BI Publisher and can run and view all of the reports that were made available to their folders.","Cloud","Cloud Administrator: Users have access to Cloud Administration and can administer users.","Primavera Analytics","Primavera Analytics Production: Users have administrative access to Primavera Analytics and can manage and run the extract, transform, and load (ETL) process.","Primavera Gateway","Primavera Gateway Production Administrator: Users have complete access to Primavera Gateway as a user, developer, and administrator. The Primavera Gateway administrator has complete administration privileges and access to data.","Primavera Gateway Production Administrator (Limited Access): Users have complete administration privileges, but no access to integrated data.","Primavera Gateway Production Developer: Users have access to Primavera Gateway the data dictionary, workflows, and configuration global settings. They can also create data mappings and flow types.","Primavera Gateway Production User: Users have access to Primavera Gateway to create, run, and monitor synchronization jobs in Primavera Gateway. Primavera Gateway users only have access to data.","Primavera Gateway Production User (Limited Access): Users have access to Primavera Gateway to create, run, and monitor synchronization jobs in Primavera Gateway, but no access to integrated data.","Primavera P6","Primavera P6 Production: Users have access to P6 EPPM applications, including P6, P6 Team Member, and P6 EPPM Web Services.","Primavera P6 Virtual Desktop User: Users can use Primavera Virtual Desktop to access P6 Professional using a virtual desktop. Note: Primavera Virtual Desktop is not available with P6 Standard Service.","Primavera Unifier","Primavera Unifier Production: Users have access to Primavera Unifier.","Primavera Unifier Production REST Webservices: Users have access to Primavera Unifier REST Web Services.","Note: By default, data sources to product schema, such as P6 EPPM and Primavera Unifier, are automatically assigned to the BI Consumer and BI Author access types.","Manage Application Access","96334.htm");
Page[25]=new Array("Use the Select Application Access dialog box to assign application access for a single user account. ","In the Select Application Access dialog box, the Available pane (on the left) shows the available applications. The Selected pane (on the right) shows the applications that the user account can access.","Manage Application Access for a Single User Account","95316.htm");
Page[26]=new Array("To assign application access for a single user account:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check box for a user account.","Click Manage Application Access.","In the Available pane, select one or more applications.","Note: Hold the Control key and click to select more than one application.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add to selected columnEmbeddedTopicend.","Click Select.","Click Save.","Assign Application Access for a Single User Account","97814.htm");
Page[27]=new Array("To remove application access for a single user account:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check box for a user account.","Click Manage Application Access.","In the Selected pane, select one or more applications.","Note: Hold the Control key and click to select more than one application.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Remove from selected columnEmbeddedTopicend.","Click Select.","Click Save.","Remove Application Access for a Single User Account","97815.htm");
Page[28]=new Array("Use the Manage Application Access dialog box to manage application access for multiple user accounts.","The Manage Application Access dialog box shows each available access type. Icons indicate the status of the access for the selected user accounts.","EmbeddedTopicstartEmbeddedTopicstart@EmbeddedTopicend All selected users have accessEmbeddedTopicend: All of the selected user accounts have been assigned this access type.","EmbeddedTopicstart@ Some of the selected users have accessEmbeddedTopicend: Some of the selected user accounts have been assigned this access type.","No icon: None of the selected user accounts have been assigned this access type.","To assign application access to multiple user accounts:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check boxes for multiple user accounts.","Click Manage Application Access.","In the Available Application Access pane, select the access type you want to manage.","In the Select or Deselect Users table, select and deselect the check boxes to assign and remove access as needed.","Repeat steps 3 and 4 to manage other access types.","Click OK.","Click Save.","Manage Application Access for Multiple Users","97806.htm");
Page[29]=new Array("You can reset passwords for a single user account or for multiple user accounts. When you reset passwords for multiple user accounts, an email is sent to each selected user with a link to follow to reset their password. When you reset the password for a single user account, you also have the option of manually generating a password.","Note: EmbeddedTopicstartAfter creating a user account, you must reset that password for the account. If your deployment uses IDCS, resetting a password sends the user an email with a link to allow them to change their own password. If your deployment uses OIM, resetting a password notifies the user about their new account and provides them a temporary password. On logging in with the temporary password, the user is prompted to change the password and set challenge questions.EmbeddedTopicend","Reset Passwords","96261.htm");
Page[30]=new Array("To reset a password for a single user account:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check box for a user account.","Click Reset Password.","Do one of the following:","Select Auto-generate the Password to send the user an email containing a link to allow them to change their own password (on IDCS) or to send an email with a temporary password (on OIM).","Select Manually Change the Password to enter a new password (on IDCS) or a temporary password (on OIM).","Click Reset Password.","Click OK.","Note: On IDCS, if you select the option to generate the password automatically, the link in the email that the user receives automatically expires after 60 minutes.","Reset the Password for a Single User Account","103570.htm");
Page[31]=new Array("To reset passwords for multiple user accounts:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check boxes for multiple user accounts.","Click Reset Password.","Click Yes.","The passwords are reset and each selected user is sent an email containing a link to follow to reset their password (on IDCS) or an automatically generated temporary password (on OIM).","Reset Passwords for Multiple User Accounts","103571.htm");
Page[32]=new Array("A user account can be locked, enabled, or disabled. ","This section describes how to unlock a user account, enable a disabled user account, and disable an enabled user account.","Change User Account Status","100891.htm");
Page[33]=new Array("When a user account becomes locked, the user is unable to log in to the Cloud Portal or Cloud Service applications. In this case, the user account must be unlocked.","The following are some typical reasons why a user account becomes locked:","The user attempts to log in too many times with an incorrect password.","The user's password expires.","Note: A user with an expired password can also unlock their account by attempting to log in with their expired password.","To unlock a user account:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check boxes for one or more locked user accounts. ","Note: Apply the Locked filter to display only Locked user accounts in the User Administration table. See About User Administration Table Filters for details.","Click Unlock.","Note: The Unlock button appears only when you select the check boxes for one or more locked user accounts. If you select one or more unlocked user accounts, the Unlock button will not appear.","Unlock User Accounts","96216.htm");
Page[34]=new Array("When you disable a user account, the user is blocked from accessing the Cloud Portal and Cloud Service applications. In addition, a cloud administrator is unable to perform most tasks for the user in Cloud Administration (other than enabling the account). For example, you might choose to disable a user account if a user moves to a different role in your organization or takes a sabbatical.","To disable a user account:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check boxes for one or more enabled user accounts. ","Note: Apply the Enabled filter to display only enabled user accounts in the User Administration table. See About User Administration Table Filters for details.","Click Disable.","Notes:","The Disable button appears only when you select the check box for one or more enabled user accounts. If you select one or more disabled user accounts, the Disable button will not appear.","To ensure that a user is removed from P6 and shown as disabled in Unifier, you must also de-provision the account. See De-provision User Accounts for details.","Disable User Accounts","96217.htm");
Page[35]=new Array("When you enable a user account, the user can access Cloud Portal and Cloud Service applications.","To enable a user account:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check boxes for one or more disabled user accounts. ","Note: Apply the Disabled filter to display only disabled user accounts in the User Administration table. See About User Administration Table Filters for details.","Click Enable.","Note: The Enable button appears only when you select the check box for one or more disabled user accounts. If you select one or more enabled user accounts, the Enable button will not appear.","Enable User Accounts","96239.htm");
Page[36]=new Array("When you de-provision a user account, the user is blocked from accessing the Cloud Portal and any of the applications. A cloud administrator is unable to perform most tasks for the user in Cloud Administration until the account is re-enabled.","Note: When you de-provision a user from access to P6 EPPM, the user account will be deleted from P6 EPPM. Deleting a user from P6 EPPM deletes all data associated with that user. If a user has P6 Team Member module access or is associated with a resource and has actual working hours on a project Oracle recommends you do not de-provision that user. See the P6 EPPM Application Administration Guide for further information.","To de-provision a user account:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend User AdministrationEmbeddedTopicend tab, select the check box for an enabled user account. ","Click Disable.","Double click in the Application Access cell for the user in the grid.","In the Select Application Access dialog box:","Select all the columns in the Selected list.","Select EmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Remove from selected columnEmbeddedTopicend.","Select Select.","De-provision User Accounts","141521.htm");
Page[37]=new Array("The Manage Companies table in Cloud Administration enables you to manage companies for your Cloud Service applications. A company represents a logical container of users in Cloud Administration. ","Two types of companies can exist in Cloud Services:","Owner company: An owner company has been created for you. A single owner company is required by Cloud Administration. You can modify certain aspects of the owner company (including the company full name and the password policy). It is not possible to delete an owner company.","Partner companies: A partner company is a separate entity from the owner company that needs to access your Cloud Service applications. Examples of partner companies include vendors, resellers, subcontractors, suppliers, and other consultants. Partner companies are listed under the owner company on the left side of the Manage Companies page. ","When you add a partner company in Cloud Administration, you can also assign one or more applications to the company. If you assign Primavera Unifier, the partner company is also created within that application.","Click theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage CompaniesEmbeddedTopicend tab to view the Manage Companies table.","Manage Companies","100907.htm");
Page[38]=new Array("By default, the Manage Companies table displays the owner company and all partner companies. See About Manage Companies Table Filters for details on applying filters to control the companies that appear.","Each row in the Manage Companies table represents a single company. The Manage Companies table includes the following columns: ","Company Short Name: The short name for the company.","Company Full Name: The full name for the company.","Assign To (Applications): The application for the company.","About the Manage Companies Table","107516.htm");
Page[39]=new Array("By default, the Manage Companies table displays the owner company and all partner companies. Use the Filter field to apply a filter and control the companies that appear.","The following filter is available:","Primavera Unifier Production: Displays companies assigned to access to Primavera Unifier. ","About Manage Companies Table Filters","107517.htm");
Page[40]=new Array("To add a company:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage CompaniesEmbeddedTopicend tab, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add CompanyEmbeddedTopicend.","In the Company Short Name field, enter a short name for the partner company.","In the Company Full Name field, enter the full name for the partner company.","OIM Only: If you want to use a custom password policy, do the following:","Deselect the Inherit Password Policy check box.","In the Password Policy field, triple-clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend SelectEmbeddedTopicend.","Select a password policy.","Click OK.","Note: If you want to use the default password policy, skip this step.","Do the following to add the partner company to Primavera Unifier:","On the Assign To (Applications) field, triple-clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend SelectEmbeddedTopicend.","In the left pane, select Primavera Unifier Production.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add to selected columnEmbeddedTopicend.","Click OK.","Click Save.","Tips","When you add a parter company, the address from the owner company is used by default. To change the address, modify the address details in Primavera Unifier.","Add a Partner Company","100913.htm");
Page[41]=new Array("You can modify any of the fields for a partner company in the Manage Companies table.","Note: To modify the Company Short Name field, submit a Service Request to My Oracle Support. See Actions that Require Service Requests for details.","Modify a Partner Company","107309.htm");
Page[42]=new Array("After you change a company's password policy, all new users that are assigned to the company must create a password according to the new password policy.","EmbeddedTopicstartNotes:","If the password policy assigned to a company is modified or a new password policy is assigned to a company, existing users with established passwords are not required to change their password immediately. However, when those users do change their password (for example, due to password expiration or password reset), the new password must conform to the new password policy. Oracle recommends that you reset the passwords of users that belong to a company whose password policy has been changed.","OIM Only: If a partner company inherits the password policy of the owning company and the owning company password policy is modified, the partner company password policy is modified accordingly.EmbeddedTopicend","Use the Select Password Policy dialog box to change the password policy of a single company. You can also change the password policy for multiple companies using the Manage Password Policies page. For more information about changing the password policy for multiple companies, see Assign a Password Policy to a Company.","To change a company's password policy:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage CompaniesEmbeddedTopicend tab, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend ExpandEmbeddedTopicend to expand the owner company, if needed, and select the partner company you want to change.","If needed, deselect the Inherit Password Policy check box.","In the Password Policy field, triple-clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend SelectEmbeddedTopicend.","Select a password policy.","Click OK.","Click Save.","Change a Company's Password Policy (OIM Only)","100914.htm");
Page[43]=new Array("You can delete a partner company if the following is true:","The company is not assigned to an application.","No user accounts have been associated with the company.","Note: If a partner company is no longer needed, Oracle recommends that you disable that company instead of deleting. See Modify a Partner Company for details.","To delete a partner company:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage CompaniesEmbeddedTopicend tab, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend ExpandEmbeddedTopicend to expand the owner company, if needed, and select the partner company you want to delete.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend ContextEmbeddedTopicend.","Select Delete Row.","Click Yes.","Click Save.","Delete a Partner Company","107310.htm");
Page[44]=new Array("The Manage Password Policies table in Cloud Administration enables you to manage the password policy (IDCS) or policies (OIM) for your Cloud Service applications. Password policies are based on policy rules and are assigned to companies (OIM) or users (IDCS). Users must use a password that conforms to their or their comany's password policy.","OIM Only: Password policies can be assigned to one or more companies, but companies can only be assigned one password policy. Because a user can only be assigned to one company, users only need to confirm to one password policy.","EmbeddedTopicstartNotes:","If the password policy assigned to a company is modified or a new password policy is assigned to a company, existing users with established passwords are not required to change their password immediately. However, when those users do change their password (for example, due to password expiration or password reset), the new password must conform to the new password policy. Oracle recommends that you reset the passwords of users that belong to a company whose password policy has been changed.","OIM Only: If a partner company inherits the password policy of the owning company and the owning company password policy is modified, the partner company password policy is modified accordingly.EmbeddedTopicend","Click theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage Password PoliciesEmbeddedTopicend tab to view the Manage Password Policies table.","Manage Password Policies","100906.htm");
Page[45]=new Array("By default, the Manage Password Policies table displays all password policies.","Each row in the Manage Password Policies table represents a single password policy. The Manage Password Policies table includes the following columns: ","Policy Name: The name of the password policy.","Minimum Length (OIM Only): the minimum number of characters that users are required to have in their password.","Warn After (days) (OIM Only): the number of days that will pass before users are warned that their passwords are set to expire on a specific date.","Expires After (days) (OIM Only): the number of days that will pass before passwords expire.","Disallow Past Passwords (OIM Only): the frequency at which old passwords can be reused. This policy ensures that users do not change back and forth among a set of common passwords.","Minimum Password Age (OIM Only): the length of time (in days) users must keep their passwords before they are allowed to change them again. ","Policy Type: The policy type for a password policy. See About Policy Types for details.","About the Manage Password Policies Table","107521.htm");
Page[46]=new Array("You can control the general policy rules for all policy types. See General Policy Rules for OIM for details. Other password rules are determined by the policy type:","Simple: This password type is available in IDCS only. Each user is required to create a password that conforms to a set of rules designed to create a password of medium strength.","Standard: This password type is available in IDCS only. Each user is required to create a password that conforms to a set of rules designed to create a strong password.","Complex: This password type is available in OIM only. Each user is required to create a password that conforms to the following conventions:","Must contain characters from three of the following types:","English Uppercase Characters (A through Z)","English Lowercase Characters (a though z)","Base 10 Digits (0 through 9)","Non-alphanumeric (for example, !, $, #, ^)","Unicode Characters","Cannot contain the following:","User ID","First Name","Last Name","Custom: Each user is required to create a password that conforms to a custom set of rules. See Custom Policy Rules for details.","About Policy Types","100908.htm");
Page[47]=new Array("All policy types allow you to set the following password rules:","Minimum Length: Enter the minimum number of characters a password must contain. For example, if you enter 4, the password must contain at least four characters. This field accepts values from 0 to 999 for custom passwords.","Warn After (days): Enter the number of days before a user is notified that a password will expire. For example, suppose you enter 20 in this field and 30 in the Expires After (days) field. If a user creates a password on November 1, the user will be notified on November 21 (20 days later) that the password will expire on December 1 (30 days later). This field accepts values from 0 to 999.","Expires After (days): Enter the number of days before a password will expire. For example, if you enter 30 and a user creates a password on November 1, then the password will expire on December 1 (30 days later). This field accepts values from 0 to 999.","Disallow Past Passwords: Enter the number of old passwords that cannot be reused. This policy ensures that users do not change back and forth among a set of common passwords. For example, if you enter 10, a user cannot reuse any of the last ten passwords. This field accepts values from 0 to 24.","Minimum Password Age: Enter the minimum number in days for which users must use a password. For example, if you enter 2, a user cannot change the password within two days of creating the password. The value of this field must be less than the value of the Expires After (days) field. For example, if you enter 30 in the Expires After (days) field and 31 in this field, an error occurs.","Policy Type: The policy type for the password policy: Complex or Custom. A Complex password policy uses a standard set of password rules, as described in About Policy Types. A Custom password policy uses a custom set of password rules, as described in Custom Policy Rules.","General Policy Rules for OIM","103572.htm");
Page[48]=new Array("If you set Custom password policy, you can set the following password rules:","Account Lock Threshold: This rule is available in IDCS only. Enter the number of times a user can enter an incorrect password before the account will be locked.","Characters Allowed: This rule is available in OIM only. Enter the characters a password can contain. For example, if you enter a percent sign (%), a password must contain a percent sign. A password would not be valid if it contained any character not in this field. For example, if you enter abc, the password dad is not valid because the character d is not specified. If you specify the same character in this field and Characters Not Allowed field, an error occurs. ","Characters Not Allowed: Enter the characters a password must not contain. For example, if you enter an exclamation point (!), a password cannot contain an exclamation point. If you specify the same character in this field and Characters Allowed field, an error occurs.","Characters Required: Enter the characters a password must contain. For example, if you enter x, a password must contain the character x. The character you enter in this field must also be entered in the Characters Allowed field. Otherwise, an error occurs. If you specify more than one character, do not provide delimiters. Commas and spaces are also considered characters in this field. For example, if you specify a,x, a valid password would need to contain the character a, the character x, and a comma.","Disallow First Name: Use this rule to specify whether the user's first name is allowed in a password. If the check box is selected, a password is not valid if it contains the user's first name. ","Disallow Last Name: Use this rule to specify whether the user's last name is allowed in a password. If this check box is selected, a password is not valid if it contains the user's last name.","Disallow Restricted Words: This rule is available in IDCS only. Use this rule to specify whether restricted words are allowed in a password. When this checkbox is selected, a password is not valid if it contains any of the words on the restricted words list.","Disallow User ID: Use this rule to specify whether the user ID is allowed in a password. When this check box is selected, a password is not valid if it contains the user ID.","Disallow Whitespace Character: This rule is available in IDCS only. Use this rule to specify whether a space is allowed in a password. When this rule is switched on, a password is not valid if it contains a space.","Expires After (days): This rule is available in IDCS only. Enter the number of days after which a user must change their password.","Maximum Length: Enter the maximum number of characters a password can contain. For example, if you enter 8, a password cannot contain more than eight characters. This field accepts values from 1 to 999.","Maximum Repeated Characters: Enter the maximum number of times a character can be repeated in a password. For example, if you enter 2, a password is not valid if any character is repeated more than two times. With this setting, the password RL112211 is not valid because the character 1 appears four times (and is therefore repeated three times). This field accepts values from 1 to 999.","Maximum Special Characters: This rule is available in OIM only. Enter the maximum number of non-alphanumeric characters a password can contain. For example, if you enter 3, a password cannot contain more than three non-alphanumeric characters. This field accepts values from 1 to 999.","Maximum Unicode Characters: This rule is available in OIM only. Enter the maximum number of Unicode characters that a password can contain. For example, if you enter 8, a password cannot contain more than eight Unicode characters. This field accepts values from 1 to 999.","Minimum Alphabet Characters: Enter the minimum number of letters a password must contain. For example, if you enter 2, a password must contain at least two letters. This field accepts values from 0 to 999.","Minimum Alphanumeric Characters: This rule is available in OIM only. Enter the minimum number of letters or digits that a password must contain. For example, if you enter 6, a password must contain at least six letters and digits. This field accepts values from 0 to 999.","Minimum Length: This rule is available in IDCS only. Enter the minimum number of characters a password must contain. For example if you enter 8, a password must contain at least eight characters.","Minimum Lowercase Characters: Enter the minimum number of lowercase letters a password must contain. For example, if you enter 5, a password must contain at least five lowercase letters. This field accepts values from 0 to 999.","Minimum Numeric Characters: Enter the minimum number of digits a password must contain. For example, if you enter 1, a password must contain at least one digit. This field accepts values from 0 to 999.","Minimum Special Characters: Enter the minimum number of non-alphanumeric characters (for example, #, %, or &amp;) a password must contain. For example, if you enter 1, a password must contain at least one non-alphanumeric character. This field accepts values from 0 to 999.","Minimum Unicode Characters: This rule is available in OIM only. Enter the minimum number of Unicode characters that a password must contain. For example, if you enter 3, a password must contain at least three Unicode characters. This field accepts values from 0 to 999.","Minimum Unique Characters: Enter the minimum number of non-repeating characters a password must contain. For example, if you enter 1, a password is must contain at least one character that is not repeated. With this setting, the password 1x23321 is valid because the character x is not repeated (although the remaining characters are repeated). This field accepts values from 0 to 999.","Minimum Uppercase Characters: Enter the minimum number of uppercase letters a password must contain. For example, if you enter 3, a password must contain at least three uppercase letters. This field accepts values from 0 to 999.","Previous Passwords Remembered: This rule is available in IDCS only. Enter the number of previously used passwords for each user which will be remembered. A password will not be valid if it matches any of the remembered passwords for the user.","Start With Alphabet: Use this rule to specify whether a password must begin with a letter. If the check box is selected, the password 123welcome would not be valid because it does not begin with a letter. If the check box is deselected, a password can begin with a letter, digit, or special character.","Substrings Not Allowed: This rule is available in OIM only. Enter a series of consecutive alphanumeric characters a password must not contain. For example, if you enter dog, a password is not valid if it contains the character d, the character o, and the character g in successive order.","Custom Policy Rules","103573.htm");
Page[49]=new Array("To add a password policy:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage Password PoliciesEmbeddedTopicend tab, clickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add Password PolicyEmbeddedTopicend.","In the Policy Name field, enter the name of the new password policy.","(Optional) In the Minimum Length field, enter the minimum number of characters that users are required to have in their password.","In the Warn After (days) field, enter the number of days that will pass before users are warned that their passwords are set to expire on a specific date. This value must be less than the value entered in the Expires After (days) field.","In the Expires After (days) field, enter the number of days that will pass before users' passwords expire. This value must be greater than the value entered in the Warn After (days) field.","(Optional) In the Disallow Past Passwords field, enter the frequency at which old passwords can be reused. This policy ensures that users do not change back and forth among a set of common passwords.","(Optional) In the Minimum Password Age field, enter the length of time (in days) users must keep their passwords before they are allowed to change them again. This value must be less than the value entered in the Expires After (days) field.","In the Policy Type menu, select one of the following:","Complex: The password policy uses a standard set of password rules.","Custom: The password policy uses a custom set of password rules. If you select Custom, the custom policy rules appear on the Complex Policy Rules tab in the lower pane. Set the custom policy rules as needed. See Custom Policy Rules for details.","On the Assigned Companies tab in the lower pane, do the following to assign the password policy to one or more companies:","EmbeddedTopicstartNotes:","If the password policy assigned to a company is modified or a new password policy is assigned to a company, existing users with established passwords are not required to change their password immediately. However, when those users do change their password (for example, due to password expiration or password reset), the new password must conform to the new password policy. Oracle recommends that you reset the passwords of users that belong to a company whose password policy has been changed.","OIM Only: If a partner company inherits the password policy of the owning company and the owning company password policy is modified, the partner company password policy is modified accordingly.EmbeddedTopicend","This step is optional. You can assign the password policy to a company later.","Click Manage Assignments.","In the Available pane, select the companies for the password policy. Hold down the Control key and click to select more than one application.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add to selected columnEmbeddedTopicend."," Click Assign.","Click Save.","Add a Password Policy for OIM","100909.htm");
Page[50]=new Array("EmbeddedTopicstartNotes:","If the password policy assigned to a company is modified or a new password policy is assigned to a company, existing users with established passwords are not required to change their password immediately. However, when those users do change their password (for example, due to password expiration or password reset), the new password must conform to the new password policy. Oracle recommends that you reset the passwords of users that belong to a company whose password policy has been changed.","OIM Only: If a partner company inherits the password policy of the owning company and the owning company password policy is modified, the partner company password policy is modified accordingly.EmbeddedTopicend","To modify a password policy:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage Password PoliciesEmbeddedTopicend tab, select the password policy you want to modify.","In OIM:","Modify the general policy rules as needed.","If the Policy Type is Custom, on the Custom Policy Rules tab in the lower pane, modify the custom policy rules as needed.","Assign the password policy to one or more companies.","Click Save.","In IDCS:","On the Policy Type list, select Custom.","On the Custom Policy Rules tab in the lower pane, modify the custom policy rules as needed.","Click Save.","Modify a Password Policy","100912.htm");
Page[51]=new Array("Password policies can only be deleted if they are not assigned to any companies. You can only delete one password policy at a time.","To delete a password policy:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage Password PoliciesEmbeddedTopicend tab, select the password policy you want to delete.","On the Assigned Companies tab in the lower pane, confirm that the password policy is not assigned to any companies.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend ContextEmbeddedTopicend.","Select Delete Row.","Click Yes.","Click Save.","Delete a Password Policy for OIM","100911.htm");
Page[52]=new Array("Each company has an associated password policy. A partner company can be assigned a custom password policy or can inherit the password policy of their owner company. When you assign a password policy to a company, you replace the previous password policy with the new password policy.","EmbeddedTopicstartNotes:","If the password policy assigned to a company is modified or a new password policy is assigned to a company, existing users with established passwords are not required to change their password immediately. However, when those users do change their password (for example, due to password expiration or password reset), the new password must conform to the new password policy. Oracle recommends that you reset the passwords of users that belong to a company whose password policy has been changed.","OIM Only: If a partner company inherits the password policy of the owning company and the owning company password policy is modified, the partner company password policy is modified accordingly.EmbeddedTopicend","Use the Manage Password Policies tab to assign password policies to one or more companies. You can also use the Manage Companies tab if you only want to assign the password policy for a single company. See Change a Company's Password Policy (OIM Only) for details.","To assign a password policy to a company:","On theEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Manage Password PoliciesEmbeddedTopicend tab, select the password policy you want to assign.","On the Assigned Companies tab in the lower pane, click Manage Assignments.","In the Available pane, select the companies for the password policy. Hold down the Control key and click to select more than one application.","ClickEmbeddedTopicstart EmbeddedTopicstartEmbeddedTopicend Add to selected columnEmbeddedTopicend.","Click Assign.","Click Save.","Assign a Password Policy to a Company for OIM","100910.htm");
Page[53]=new Array("The following tasks cannot be performed in Cloud Administration:","Users resetting their own password","Users managing their challenge questions and answers (OIM only)","To perform these tasks (and only these tasks), you will need to use Oracle Identity Manager (OIM) or Identity Cloud Service (IDCS) directly. Oracle Customer Support will not be able to provide support if you use OIM or IDCS for any other task.","Advanced Identity Management Tasks","96256.htm");
Page[54]=new Array("Users can log in to Oracle Identity Manager (OIM) to update or change their challenge questions.","To change challenge questions:","In Cloud Portal, click Oracle Identity Manager.","Log in to OIM with your user name and password.","On the Identity Self Service page, under My Profile, click My Information.","On the My Information tab, expand Challenge Questions.","Select three challenge questions and enter your answers.","Click Apply.","Users Resetting Challenge Questions for OIM","141522.htm");
Page[55]=new Array("Users can log in to Oracle Identity Manager (OIM) to change their password. The new password must comply with the relevant password policy.","To change a password in OIM:","In Cloud Portal, click Oracle Identity Manager.","Log in to OIM with your user name and password.","On the Identity Self Service page, under My Profile, click My Information.","On the My Information tab, expand Change Password.","In the Old Password field, enter your current password.","In the New Password field, enter your new password.","In the Confirm New Password field, re-enter your new password.","Click Apply.","To change a password in IDCS:","In Cloud Portal, click Identity Cloud Service.","Log into IDCS with your user name and password.","Click Change My Password.","In the Old Password field, enter your current password.","In the New Password field, enter your new password.","In the Confirm New Password field, re-enter your new password.","Click Submit.","Note: Wait five minutes before logging into an account after you have changing a password.","Users Changing a Password","95053.htm");
Page[56]=new Array("Identity federation enables companies to provide services and share identity information across their respective security domains. The end user does not need to log in repeatedly to access a remote entity where business is conducted. Users authenticate at their local sites, and the federation mechanism enables this information to be shared with Cloud Services.","The benefits of implementing identity federation for your cloud service include: ","Users do not need to supply login credentials to access each entity where business is conducted. This also eliminates the need to remember and manage multiple logins/passwords. Users still need accounts at the sites so that the accounts can be linked.","Local password management (for example, resetting passwords and creating password policies)","For details on enabling identity federation with Cloud Services, see Enabling Federated Identity Single Sign-On (SSO) Through SAML 2.0 For Primavera Products Hosted In Oracle Cloud (Doc ID 2087067.1) on My Oracle Support at http://support.oracle.com.","Enable Identity Federation with Oracle Primavera","100890.htm");
Page[57]=new Array("In order to complete the following actions, submit a Service Request in My Oracle Support:","Modifying the automatically generated email notification that is sent to users when their account is provisioned or their password is reset.","Changing Authorization Codes in an application.","Note: If you change the Authorization Code in your application and do not submit a Service Request in My Oracle Support, you will experience application assignment errors.","Changing PARTNER license counts and allocations.","Changing a user name.","Actions that Require Service Requests","95132.htm");
Page[58]=new Array("The Test Bandwidth and Latency screen displays bandwidth and latency information for your Cloud Services client. All users can access the Test Bandwidth and Latency screen. ","Statistics are exposed by reading the cookies generated by loading the page. Depending on your network speed, it can take up to ten seconds to generate the statistics. The expiration time for the cookies is set to thirty minutes. If you need to generate statistics before that time, delete all cookies before accessing the Test Bandwidth and Latency screen.","Note: The first time you access the Test Bandwidth and Latency screen, you may not see any results. However, refresh your browser to fetch the information from the browser cache.","To view remote statistics on your Cloud Services client, complete the following steps:","Enter the following to display the Test Bandwidth and Latency screen:","http://cloudadminhost/cloud/p/stats","If this is the first time you are using the Test Bandwidth and Latency screen, click Test.","Note: If the Test button doesn't appear, press F5 to refresh your browser.","Test Bandwidth and Latency","111151.htm");
Page[59]=new Array("You can access the context-sensitive help topics that are accessible from each page in the user interface directly from this topic.","Context-Sensitive Help","107444.htm");
Page[60]=new Array("Manage and administer user accounts in your cloud environment. You can create user accounts one at a time or import them in bulk. You can also assign application access, reset passwords, and change user account status.","How do I...","Adding Single User Accounts","Adding Multiple User Accounts","Deleting a User Account","Modifying a User Account","Managing Application Access","Resetting Passwords","Changing User Account Status","Learn more about...","Managing User Accounts","About the User Administration Table","User Administration","107384.htm");
Page[61]=new Array("Manage companies in your cloud environment. You can create, modify, and delete partner companies. You can also change a company's password policy.","How do I...","Adding a Partner Company","Modifying a Partner Company","Deleting a Partner Company","Changing a Company's Password Policy","Learn more about...","Managing Companies","About the Manage Companies Table","Manage Companies","107385.htm");
Page[62]=new Array("Password policies are based on policy rules and are assigned to companies. Users that are assigned to a company must use a password that conforms to that company's password policy.","How do I...","Add a Password Policy","Modify a Password Policy","Delete a Password Policy","Assign a Password Policy to a Company","Learn more about...","Manage Password Policies","About the Manage Password Policies Table","About Policy Types","Manage Password Policies","107386.htm");
Page[63]=new Array("Create, preview, and enable a consent message to display to users in your cloud environment. You can also view the consent status and when the status changed for each user.","How do I...","Configuring Consent Notices for Cloud Administration","Auditing Consent Notices for Cloud Administration","Learn more about...","About Consent Notices","About Personally Identifiable Information","Your Responsibilities","Consent Settings","141482.htm");
Page[64]=new Array("EmbeddedTopicstartCopyright © 2016, 2019, Oracle and/or its affiliates. All rights reserved.<br />Oracle and Java are registered trademarks of Oracle and/or its affiliates. Other names may be trademarks of their respective owners.","Intel and Intel Inside are trademarks or registered trademarks of Intel Corporation. All SPARC trademarks are used under license and are trademarks or registered trademarks of SPARC International, Inc. AMD, Opteron, the AMD logo, and the AMD Opteron logo are trademarks or registered trademarks of Advanced Micro Devices. UNIX is a registered trademark of The Open Group.EmbeddedTopicend","This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited.","The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.","If this is software or related documentation that is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable: ","U.S. GOVERNMENT END USERS: Oracle programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, delivered to U.S. Government end users are &quot;commercial computer software&quot; pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, shall be subject to license terms and license restrictions applicable to the programs. No other rights are granted to the U.S. Government.","This software or hardware is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications that may create a risk of personal injury. If you use this software or hardware in dangerous applications, then you shall be responsible to take all appropriate failsafe, backup, redundancy, and other measures to ensure its safe use. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software or hardware in dangerous applications.","This software or hardware and documentation may provide access to or information on content, products and services from third-parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.","Legal Notices","46576.htm");
var PageCount=65;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
// Result+='<script type="text/javascript" src="styleswitcher.js"></script>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css"  title="default"/>\n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="stylesheetcontrast.css"  title="contrast"/>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" href="docsstylesheet.css"  type="text/css" title="default"/> \n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="docsstylesheetcontrast.css" title="contrast"/>\n';
Result+="</head>\n";
Result+="<body class='searchcontents' onload='javascript:document.SearchForm.SearchText.focus();if(typeof ondoc() === 'function') {ondoc();}'>\n"; 
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}